diff --git a/changelog b/changelog
index 9f1eeee..33c286c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090902 tpd src/axiom-website/patches.html 20090902.01.tpd.patch
+20090902 tpd src/interp/nag-f04 refactor lisp code
 20090901 tpd src/axiom-website/patches.html 20090901.07.tpd.patch
 20090901 tpd src/interp/Makefile move nags.boot to nags.lisp
 20090901 tpd src/interp/nags.lisp added, rewritten from nags.boot
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 61b86d9..23d1366 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1972,5 +1972,7 @@ src/interp/nag-f04.lisp rewrite from boot to lisp<br/>
 src/interp/nag-f07.lisp rewrite from boot to lisp<br/>
 <a href="patches/20090901.07.tpd.patch">20090901.07.tpd.patch</a>
 src/interp/nag-s.lisp rewrite from boot to lisp<br/>
+<a href="patches/20090902.01.tpd.patch">20090902.01.tpd.patch</a>
+src/interp/nag-f04.lisp refactor lisp code<br/>
  </body>
 </html>
diff --git a/src/interp/nag-f04.lisp.pamphlet b/src/interp/nag-f04.lisp.pamphlet
index ca8902a..81628cf 100644
--- a/src/interp/nag-f04.lisp.pamphlet
+++ b/src/interp/nag-f04.lisp.pamphlet
@@ -12,584 +12,235 @@
 <<*>>=
 (IN-PACKAGE "BOOT" )
 
-;f04adf() ==
-;  htInitPage("F04ADF - Solution of complex simultaneous linear equations, with multiple right-hand sides (Black box)",nil)
-;  htMakePage '(
-;    (domainConditions
-;      (isDomain I (Integer)))
-;    (text . "\windowlink{Manual Page}{manpageXXf04adf} for this routine ")
-;    (text . "\newline ")
-;    (text . "\lispwindowlink{Browser operation page}{(|oPageFrom| '|f04adf| '|NagLinearEquationSolvingPackage|)} for this routine")
-;    (text . "\newline \horizontalline ")
-;    (text . "\newline ")
-;    (text . "Calculates the approximate solution of a set of complex linear ")
-;    (text . "equations {\it AX = B} using an {\it LU} factorization with ")
-;    (text . "partial pivoting, where {\it A} is an n * n matrix, {\it X} is ")
-;    (text . "an {\it n} by {\it m} matrix of unknowns and {\it B} is an ")
-;    (text . "{\it n} by {\it m} matrix of right-hand sides.")
-;    (text . "\blankline ")
-;    (text . "\newline \menuitemstyle{}\tab{2} ")
-;    (text . "{\it n} order of matrix A:")
-;    (text . "\tab{28} \menuitemstyle{}\tab{30} ")
-;    (text . "{\it m} number of right-hand sides \htbitmap{great=} 0 :")
-;    (text . "\newline\tab{2} ")
-;    (bcStrings (10 3 n I))
-;    (text . "\tab{30} ")
-;    (bcStrings (10 1 m I))
-;--    (text . "\blankline ")
-;--    (text . "\newline \menuitemstyle{}\tab{2} ")
-;--    (text . "{\it IA} first dimension of A:")
-;--    (text . "\tab{32} \menuitemstyle{}\tab{34} ")
-;--    (text . "{\it IB} first dimension of B:")
-;--    (text . "\newline\tab{2} ")
-;--    (bcStrings (10 3 ia I))
-;--    (text . "\tab{34} ")
-;--    (bcStrings (10 3 ib I))
-;--    (text . "\blankline ")
-;--    (text . "\newline \menuitemstyle{}\tab{2} ")
-;--    (text . "{\it IC} first dimension of C:")
-;--    (text . "\newline\tab{2} ")
-;--    (bcStrings (10 3 ic I))
-;    (text . "\blankline ")
-;    (text . "\newline \menuitemstyle{} \tab{2} ")
-;    (text . "Ifail value:")
-;    (radioButtons ifail
-;        ("" " -1, Print error messages" minusOne)
-;        ("" "  1, Suppress error messages" one)))
-;  htMakeDoneButton('"Continue", 'f04adfSolve)
-;  htShowPage()
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;; F04ADF - Solution of complex simultaneous linear equations, 
+;;; with multiple right-hand sides (Black box)
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
-(DEFUN |f04adf| ()
-  (PROGN
-    (|htInitPage|
-        '|F04ADF - Solution of complex simultaneous linear equations, with multiple right-hand sides (Black box)|
+(defun |f04adf| ()
+  (|htInitPage|
+    '|F04ADF - Solution of complex simultaneous linear equations, with multiple right-hand sides (Black box)|
         NIL)
-    (|htMakePage|
-        '((|domainConditions| (|isDomain| I (|Integer|)))
-          (|text|
-           . "\\windowlink{Manual Page}{manpageXXf04adf} for this routine ")
-          (|text| . "\\newline ")
-          (|text|
-           . "\\lispwindowlink{Browser operation page}{(|oPageFrom| '|f04adf| '|NagLinearEquationSolvingPackage|)} for this routine")
-          (|text| . "\\newline \\horizontalline ")
-          (|text| . "\\newline ")
-          (|text|
+  (|htMakePage|
+   '((|domainConditions| (|isDomain| I (|Integer|)))
+     (|text| . "\\windowlink{Manual Page}{manpageXXf04adf} for this routine ")
+     (|text| . "\\newline ")
+     (|text| . "\\lispwindowlink{Browser operation page}{(|oPageFrom| '|f04adf| '|NagLinearEquationSolvingPackage|)} for this routine")
+     (|text| . "\\newline \\horizontalline ")
+     (|text| . "\\newline ")
+     (|text|
            . "Calculates the approximate solution of a set of complex linear ")
-          (|text|
+     (|text|
            . "equations {\\it AX = B} using an {\\it LU} factorization with ")
-          (|text|
-           . "partial pivoting, where {\\it A} is an n * n matrix, {\\it X} is ")
-          (|text|
-           . "an {\\it n} by {\\it m} matrix of unknowns and {\\it B} is an ")
-          (|text| . "{\\it n} by {\\it m} matrix of right-hand sides.")
-          (|text| . "\\blankline ")
-          (|text| . "\\newline \\menuitemstyle{}\\tab{2} ")
-          (|text| . "{\\it n} order of matrix A:")
-          (|text| . "\\tab{28} \\menuitemstyle{}\\tab{30} ")
-          (|text|
-           . "{\\it m} number of right-hand sides \\htbitmap{great=} 0 :")
-          (|text| . "\\newline\\tab{2} ") (|bcStrings| (10 3 |n| I))
-          (|text| . "\\tab{30} ") (|bcStrings| (10 1 |m| I))
-          (|text| . "\\blankline ")
-          (|text| . "\\newline \\menuitemstyle{} \\tab{2} ")
-          (|text| . "Ifail value:")
-          (|radioButtons| |ifail|
-              ("" " -1, Print error messages" |minusOne|)
-              ("" "  1, Suppress error messages" |one|))))
-    (|htMakeDoneButton| (MAKESTRING "Continue") '|f04adfSolve|)
-    (|htShowPage|)))
+     (|text|
+         . "partial pivoting, where {\\it A} is an n * n matrix, {\\it X} is ")
+     (|text|
+        . "an {\\it n} by {\\it m} matrix of unknowns and {\\it B} is an ")
+     (|text| . "{\\it n} by {\\it m} matrix of right-hand sides.")
+     (|text| . "\\blankline ")
+     (|text| . "\\newline \\menuitemstyle{}\\tab{2} ")
+     (|text| . "{\\it n} order of matrix A:")
+     (|text| . "\\tab{28} \\menuitemstyle{}\\tab{30} ")
+     (|text| . "{\\it m} number of right-hand sides \\htbitmap{great=} 0 :")
+     (|text| . "\\newline\\tab{2} ") (|bcStrings| (10 3 |n| I))
+     (|text| . "\\tab{30} ") (|bcStrings| (10 1 |m| I))
+     (|text| . "\\blankline ")
+     (|text| . "\\newline \\menuitemstyle{} \\tab{2} ")
+     (|text| . "Ifail value:")
+     (|radioButtons| |ifail|
+      ("" " -1, Print error messages" |minusOne|)
+      ("" "  1, Suppress error messages" |one|))))
+  (|htMakeDoneButton| "Continue" '|f04adfSolve|)
+  (|htShowPage|))
 
-;f04adfSolve htPage ==
-;  n :=
-;    $bcParseOnly => PARSE_-INTEGER htpLabelInputString(htPage, 'n)
-;    objValUnwrap htpLabelSpadValue(htPage, 'n)
-;  m :=
-;    $bcParseOnly => PARSE_-INTEGER htpLabelInputString(htPage, 'm)
-;    objValUnwrap htpLabelSpadValue(htPage, 'm)
-;  ia := n
-;--    $bcParseOnly => PARSE_-INTEGER htpLabelInputString(htPage, 'ia)
-;--    objValUnwrap htpLabelSpadValue(htPage, 'ia)
-;  ib := n
-;--    $bcParseOnly => PARSE_-INTEGER htpLabelInputString(htPage, 'ib)
-;--    objValUnwrap htpLabelSpadValue(htPage, 'ib)
-;  ic := n
-;--    $bcParseOnly => PARSE_-INTEGER htpLabelInputString(htPage, 'ic)
-;--    objValUnwrap htpLabelSpadValue(htPage, 'ic)
-;  error := htpButtonValue(htPage,'ifail)
-;  ifail :=
-;    error = 'one => '1
-;    '-1
-;  (n = '3 and m = '1) => f04adfDefaultSolve(htPage,ifail)
-;  matList :=
-;    "append"/[f(i,n) for i in 1..ia] where f(i,n) ==
-;       labelList :=
-;         "append"/[g(i,j) for j in 1..n] where g(i,j) ==
-;            ianam := INTERN STRCONC ('"a",STRINGIMAGE i, STRINGIMAGE j)
-;            [['bcStrings,[12, "0.0 + 0.0*%i", ianam, 'F]]]
-;       prefix := ('"\newline \tab{2} ")
-;       labelList := [['text,:prefix],:labelList]
-;  bmatList :=
-;    "append"/[fb(i,m) for i in 1..ib] where fb(i,m) ==
-;       blabelList :=
-;         "append"/[gb(i,j) for j in 1..m] where gb(i,j) ==
-;            bnam := INTERN STRCONC ('"b",STRINGIMAGE i, STRINGIMAGE j)
-;            [['bcStrings,[12, "0.0 + 0.0*%i", bnam, 'F]]]
-;       prefix := ('"\newline \tab{2} ")
-;       blabelList := [['text,:prefix],:blabelList]
-;  start := ('"\blankline \menuitemstyle{} \tab{2} Enter values of {\it b}:")
-;  bmatList := [['text,:start],:bmatList]
-;  equationPart := [
-;     '(domainConditions
-;        (isDomain P (Polynomial $EmptyMode))
-;          (isDomain F (Float))),
-;            :matList,:bmatList]
-;  page := htInitPage("F04ADF - Solution of complex simultaneous linear equations, with multiple right-hand sides (Black box)",nil)
-;  htSay '"\newline \menuitemstyle{}\tab{2} Enter values of {\it A}: "
-;  htSay '"\newline \tab{2} "
-;  htMakePage equationPart
-;  htSay '"\blankline "
-;  htMakeDoneButton('"Continue",'f04adfGen)
-;  htpSetProperty(page,'n,n)
-;  htpSetProperty(page,'m,m)
-;--  htpSetProperty(page,'ia,ia)
-;--  htpSetProperty(page,'ib,ib)
-;--  htpSetProperty(page,'ic,ic)
-;  htpSetProperty(page,'ifail,ifail)
-;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
-;  htShowPage()
-
-(DEFUN |f04adfSolve,g| (|i| |j|)
-  (PROG (|ianam|)
-    (RETURN
-      (SEQ (SPADLET |ianam|
-                    (INTERN (STRCONC (MAKESTRING "a") (STRINGIMAGE |i|)
-                                     (STRINGIMAGE |j|))))
-           (EXIT (CONS (CONS '|bcStrings|
-                             (CONS (CONS 12
-                                    (CONS '|0.0 + 0.0*%i|
-                                     (CONS |ianam| (CONS 'F NIL))))
-                                   NIL))
-                       NIL))))))
+(defun f04adfSolveg (i j)
+ (let ((ianam (intern (strconc "a" (stringimage i) (stringimage j)))))
+  `((|bcStrings| (12 |0.0 + 0.0*%i| ,ianam f)))))
 
-(DEFUN |f04adfSolve,f| (|i| |n|)
-  (PROG (|prefix| |labelList|)
-    (RETURN
-      (SEQ (SPADLET |labelList|
-                    (PROG (G166071)
-                      (SPADLET G166071 NIL)
-                      (RETURN
-                        (DO ((|j| 1 (QSADD1 |j|)))
-                            ((QSGREATERP |j| |n|) G166071)
-                          (SEQ (EXIT (SETQ G166071
-                                      (APPEND G166071
-                                       (|f04adfSolve,g| |i| |j|)))))))))
-           (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (EXIT (SPADLET |labelList|
-                          (CONS (CONS '|text| |prefix|) |labelList|)))))))
-
-(DEFUN |f04adfSolve,gb| (|i| |j|)
-  (PROG (|bnam|)
-    (RETURN
-      (SEQ (SPADLET |bnam|
-                    (INTERN (STRCONC (MAKESTRING "b") (STRINGIMAGE |i|)
-                                     (STRINGIMAGE |j|))))
-           (EXIT (CONS (CONS '|bcStrings|
-                             (CONS (CONS 12
-                                    (CONS '|0.0 + 0.0*%i|
-                                     (CONS |bnam| (CONS 'F NIL))))
-                                   NIL))
-                       NIL))))))
+(defun f04adfSolvef (i n)
+ (let (prefix labelList g166071)
+  (setq labelList
+    (do ((j 1 (qsadd1 j)))
+        ((qsgreaterp j n) g166071)
+      (setq g166071 (append g166071 (f04adfSolveg i j)))))
+  (setq prefix "\\newline \\tab{2} ")
+  (setq labelList (cons (cons '|text| prefix) labelList))))
 
-(DEFUN |f04adfSolve,fb| (|i| |m|)
-  (PROG (|prefix| |blabelList|)
-    (RETURN
-      (SEQ (SPADLET |blabelList|
-                    (PROG (G166094)
-                      (SPADLET G166094 NIL)
-                      (RETURN
-                        (DO ((|j| 1 (QSADD1 |j|)))
-                            ((QSGREATERP |j| |m|) G166094)
-                          (SEQ (EXIT (SETQ G166094
-                                      (APPEND G166094
-                                       (|f04adfSolve,gb| |i| |j|)))))))))
-           (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (EXIT (SPADLET |blabelList|
-                          (CONS (CONS '|text| |prefix|) |blabelList|)))))))
+(defun f04adfSolvegb (i j)
+ (let (bnam)
+  (setq bnam (intern (strconc "b" (stringimage i) (stringimage j))))
+  `((|bcStrings| (12 |0.0 + 0.0*%i| ,bnam f)))))
 
-(DEFUN |f04adfSolve| (|htPage|)
-  (PROG (|n| |m| |ia| |ib| |ic| |error| |ifail| |matList| |start|
-             |bmatList| |equationPart| |page|)
-  (declare (special |$EmptyMode| |$bcParseOnly|))
-    (RETURN
-      (SEQ (PROGN
-             (SPADLET |n|
-                      (COND
-                        (|$bcParseOnly|
-                            (PARSE-INTEGER
-                                (|htpLabelInputString| |htPage| '|n|)))
-                        ('T
-                         (|objValUnwrap|
-                             (|htpLabelSpadValue| |htPage| '|n|)))))
-             (SPADLET |m|
-                      (COND
-                        (|$bcParseOnly|
-                            (PARSE-INTEGER
-                                (|htpLabelInputString| |htPage| '|m|)))
-                        ('T
-                         (|objValUnwrap|
-                             (|htpLabelSpadValue| |htPage| '|m|)))))
-             (SPADLET |ia| |n|)
-             (SPADLET |ib| |n|)
-             (SPADLET |ic| |n|)
-             (SPADLET |error| (|htpButtonValue| |htPage| '|ifail|))
-             (SPADLET |ifail|
-                      (COND ((BOOT-EQUAL |error| '|one|) '1) ('T '-1)))
-             (COND
-               ((AND (BOOT-EQUAL |n| '3) (BOOT-EQUAL |m| '1))
-                (|f04adfDefaultSolve| |htPage| |ifail|))
-               ('T
-                (SPADLET |matList|
-                         (PROG (G166111)
-                           (SPADLET G166111 NIL)
-                           (RETURN
-                             (DO ((|i| 1 (QSADD1 |i|)))
-                                 ((QSGREATERP |i| |ia|) G166111)
-                               (SEQ (EXIT
-                                     (SETQ G166111
-                                      (APPEND G166111
-                                       (|f04adfSolve,f| |i| |n|)))))))))
-                (SPADLET |bmatList|
-                         (PROG (G166119)
-                           (SPADLET G166119 NIL)
-                           (RETURN
-                             (DO ((|i| 1 (QSADD1 |i|)))
-                                 ((QSGREATERP |i| |ib|) G166119)
-                               (SEQ (EXIT
-                                     (SETQ G166119
-                                      (APPEND G166119
-                                       (|f04adfSolve,fb| |i| |m|)))))))))
-                (SPADLET |start|
-                         (MAKESTRING
-           "\\blankline \\menuitemstyle{} \\tab{2} Enter values of {\\it b}:"))
-                (SPADLET |bmatList|
-                         (CONS (CONS '|text| |start|) |bmatList|))
-                (SPADLET |equationPart|
-                         (CONS '(|domainConditions|
-                                    (|isDomain| P
-                                     (|Polynomial| |$EmptyMode|))
-                                    (|isDomain| F (|Float|)))
-                               (APPEND |matList| |bmatList|)))
-                (SPADLET |page|
-                         (|htInitPage|
-                             '|F04ADF - Solution of complex simultaneous linear equations, with multiple right-hand sides (Black box)|
-                             NIL))
-                (|htSay| (MAKESTRING
-             "\\newline \\menuitemstyle{}\\tab{2} Enter values of {\\it A}: "))
-                (|htSay| (MAKESTRING "\\newline \\tab{2} "))
-                (|htMakePage| |equationPart|)
-                (|htSay| (MAKESTRING "\\blankline "))
-                (|htMakeDoneButton| (MAKESTRING "Continue")
-                    '|f04adfGen|)
-                (|htpSetProperty| |page| '|n| |n|)
-                (|htpSetProperty| |page| '|m| |m|)
-                (|htpSetProperty| |page| '|ifail| |ifail|)
-                (|htpSetProperty| |page| '|inputArea|
-                    (|htpInputAreaAlist| |htPage|))
-                (|htShowPage|))))))))
-
-;
-;
-;f04adfDefaultSolve (htPage, ifail) ==
-;  n := '3
-;  m := '1
-;  ia := '3
-;  ib := '3
-;  ic := '3
-;  page := htInitPage("F04ADF - Solution of complex simultaneous linear equations, with multiple right-hand sides (Black box)",nil)
-;  htMakePage '(
-;    (domainConditions
-;       (isDomain F (Float))
-;         (isDomain I (Integer)))
-;    (text . "\newline ")
-;    (text . "\menuitemstyle{}\tab{2} Enter values of {\it A}: ")
-;    (text . "\newline \tab{2} ")
-;    (bcStrings (12 "1" a11 F))
-;    (bcStrings (12 "1 + 2*%i" a12 F))
-;    (bcStrings (12 "2 + 10*%i" a13 F))
-;    (text . "\newline \tab{2} ")
-;    (bcStrings (12 "1 + %i" a21 F))
-;    (bcStrings (12 "3*%i" a22 F))
-;    (bcStrings (12 "-5 + 14*%i" a23 F))
-;    (text . "\newline \tab{2} ")
-;    (bcStrings (12 "1 + %i" a31 F))
-;    (bcStrings (12 "5*%i" a32 F))
-;    (bcStrings (12 "-8 + 20*%i" a33 F))
-;    (text . "\blankline ")
-;    (text . "\newline ")
-;    (text . "\menuitemstyle{}\tab{2} Enter values of {\it b}: ")
-;    (text . "\newline \tab{2} ")
-;    (bcStrings (12 "1" b1 F))
-;    (text . "\newline \tab{2} ")
-;    (bcStrings (12 "0" b2 F))
-;    (text . "\newline \tab{2} ")
-;    (bcStrings (12 "0" b3 F)))
-;  htMakeDoneButton('"Continue",'f04adfGen)
-;  htpSetProperty(page,'n,n)
-;  htpSetProperty(page,'m,m)
-;--  htpSetProperty(page,'ia,ia)
-;--  htpSetProperty(page,'ib,ib)
-;--  htpSetProperty(page,'ic,ic)
-;  htpSetProperty(page,'ifail,ifail)
-;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
-;  htShowPage()
+(defun f04adfSolvefb (i m)
+ (let (prefix blabelList g166094)
+  (setq blabelList
+   (do ((j 1 (qsadd1 j)))
+       ((qsgreaterp j m) g166094)
+     (setq g166094 (append g166094 (f04adfSolvegb i j)))))
+  (setq prefix "\\newline \\tab{2} ")
+  (setq blabelList (cons (cons '|text| prefix) blabelList))))
 
-(DEFUN |f04adfDefaultSolve| (|htPage| |ifail|)
-  (PROG (|n| |m| |ia| |ib| |ic| |page|)
-    (RETURN
-      (PROGN
-        (SPADLET |n| '3)
-        (SPADLET |m| '1)
-        (SPADLET |ia| '3)
-        (SPADLET |ib| '3)
-        (SPADLET |ic| '3)
-        (SPADLET |page|
-                 (|htInitPage|
-                     '|F04ADF - Solution of complex simultaneous linear equations, with multiple right-hand sides (Black box)|
-                     NIL))
-        (|htMakePage|
-            '((|domainConditions| (|isDomain| F (|Float|))
-                  (|isDomain| I (|Integer|)))
-              (|text| . "\\newline ")
-              (|text|
-               . "\\menuitemstyle{}\\tab{2} Enter values of {\\it A}: ")
-              (|text| . "\\newline \\tab{2} ")
-              (|bcStrings| (12 "1" |a11| F))
-              (|bcStrings| (12 "1 + 2*%i" |a12| F))
-              (|bcStrings| (12 "2 + 10*%i" |a13| F))
-              (|text| . "\\newline \\tab{2} ")
-              (|bcStrings| (12 "1 + %i" |a21| F))
-              (|bcStrings| (12 "3*%i" |a22| F))
-              (|bcStrings| (12 "-5 + 14*%i" |a23| F))
-              (|text| . "\\newline \\tab{2} ")
-              (|bcStrings| (12 "1 + %i" |a31| F))
-              (|bcStrings| (12 "5*%i" |a32| F))
-              (|bcStrings| (12 "-8 + 20*%i" |a33| F))
-              (|text| . "\\blankline ") (|text| . "\\newline ")
-              (|text|
-               . "\\menuitemstyle{}\\tab{2} Enter values of {\\it b}: ")
-              (|text| . "\\newline \\tab{2} ")
-              (|bcStrings| (12 "1" |b1| F))
-              (|text| . "\\newline \\tab{2} ")
-              (|bcStrings| (12 "0" |b2| F))
-              (|text| . "\\newline \\tab{2} ")
-              (|bcStrings| (12 "0" |b3| F))))
-        (|htMakeDoneButton| (MAKESTRING "Continue") '|f04adfGen|)
-        (|htpSetProperty| |page| '|n| |n|)
-        (|htpSetProperty| |page| '|m| |m|)
-        (|htpSetProperty| |page| '|ifail| |ifail|)
-        (|htpSetProperty| |page| '|inputArea|
-            (|htpInputAreaAlist| |htPage|))
-        (|htShowPage|)))))
+(defun |f04adfSolve| (htPage)
+ (let (n m ia ib ic error ifail matList start bmatList equationPart page t1 t2)
+ (declare (special |$EmptyMode| |$bcParseOnly|))
+   (if |$bcParseOnly|
+     (setq n (parse-integer (|htpLabelInputString| htPage '|n|)))
+     (setq n (|objValUnwrap| (|htpLabelSpadValue| htPage '|n|))))
+   (if |$bcParseOnly|
+     (setq m (parse-integer (|htpLabelInputString| htPage '|m|)))
+     (setq m (|objValUnwrap| (|htpLabelSpadValue| htPage '|m|))))
+   (setq ia n)
+   (setq ib n)
+   (setq ic n)
+   (setq error (|htpButtonValue| htPage 'ifail))
+   (if (eq error '|one|) 
+    (setq ifail 1)
+    (setq ifail -1))
+   (cond
+    ((and (= n 3) (= m 1)) (f04adfDefaultSolve htPage ifail))
+    (t
+     (setq matList
+      (do ((i 1 (1+ i))) ((> i ia) t1)
+        (setq t1 (append t1 (f04adfSolvef i n)))))
+     (setq bmatList
+       (do ((i 1 (1+ i))) ((> i ib) t2)
+         (setq t2 (append t2 (f04adfSolvefb i m)))))
+     (setq start
+           "\\blankline \\menuitemstyle{} \\tab{2} Enter values of {\\it b}:")
+     (setq bmatList (cons (cons '|text| start) bmatList))
+     (setq equationPart
+      (cons '(|domainConditions| 
+              (|isDomain| P (|Polynomial| |$EmptyMode|))
+              (|isDomain| F (|Float|)))
+             (append matList bmatList)))
+     (setq page (|htInitPage|
+       '|F04ADF - Solution of complex simultaneous linear equations, with multiple right-hand sides (Black box)|
+        nil))
+     (|htSay| "\\newline \\menuitemstyle{}\\tab{2} Enter values of {\\it A}: ")
+     (|htSay| "\\newline \\tab{2} ")
+     (|htMakePage| equationPart)
+     (|htSay| "\\blankline ")
+     (|htMakeDoneButton| "Continue" '|f04adfGen|)
+     (|htpSetProperty| page '|n| n)
+     (|htpSetProperty| page '|m| m)
+     (|htpSetProperty| page '|ifail| ifail)
+     (|htpSetProperty| page '|inputArea| (|htpInputAreaAlist| htPage))
+     (|htShowPage|)))))
 
-;f04adfGen htPage ==
-;  n := htpProperty(htPage,'n)
-;  m := htpProperty(htPage,'m)
-;--  ia := htpProperty(htPage,'ia)
-;--  ib := htpProperty(htPage,'ib)
-;--  ic := htpProperty(htPage,'ic)
-;  ia := n
-;  ib := n
-;  ic := n
-;  ifail := htpProperty(htPage,'ifail)
-;  alist := htpInputAreaAlist htPage
-;  y := alist
-;  -- will probably need to change this as its a vector not an array
-;  for i in 1..m repeat
-;    for j in 1..ib repeat
-;      right := STRCONC((first y).1," ")
-;      y := rest y
-;      bList := [right,:bList]
-;      bstring := bcwords2liststring bList
-;    boutList := [bstring,:boutList]
-;    bList := []
-;  boutstring := bcwords2liststring boutList
-;  y := REVERSE y
-;  k := -1
-;  matform := [[y.(k := k + 1).1 for j in 0..(n-1)] for i in 0..(ia-1)]
-;  matstring := bcwords2liststring [bcwords2liststring x for x in matform]
-;  prefix := STRCONC('"f04adf(",STRINGIMAGE ia,",",boutstring,",")
-;  prefix := STRCONC(prefix,STRINGIMAGE ib,", ",STRINGIMAGE n,", ")
-;  prefix := STRCONC(prefix,STRINGIMAGE m,", ",STRINGIMAGE ic)
-;  prefix := STRCONC(prefix,", ",matstring,", ",STRINGIMAGE ifail,")")
-;  bcGen prefix
+(defun f04adfDefaultSolve (htPage ifail)
+ (let ((n 3) (m 1) page)
+  (setq page (|htInitPage|
+   '|F04ADF - Solution of complex simultaneous linear equations, with multiple right-hand sides (Black box)|
+    nil))
+  (|htMakePage|
+   '((|domainConditions| (|isDomain| F (|Float|)) (|isDomain| I (|Integer|)))
+     (|text| . "\\newline ")
+     (|text| . "\\menuitemstyle{}\\tab{2} Enter values of {\\it A}: ")
+     (|text| . "\\newline \\tab{2} ")
+     (|bcStrings| (12 "1" |a11| F))
+     (|bcStrings| (12 "1 + 2*%i" |a12| F))
+     (|bcStrings| (12 "2 + 10*%i" |a13| F))
+     (|text| . "\\newline \\tab{2} ")
+     (|bcStrings| (12 "1 + %i" |a21| F))
+     (|bcStrings| (12 "3*%i" |a22| F))
+     (|bcStrings| (12 "-5 + 14*%i" |a23| F))
+     (|text| . "\\newline \\tab{2} ")
+     (|bcStrings| (12 "1 + %i" |a31| F))
+     (|bcStrings| (12 "5*%i" |a32| F))
+     (|bcStrings| (12 "-8 + 20*%i" |a33| F))
+     (|text| . "\\blankline ") (|text| . "\\newline ")
+     (|text| . "\\menuitemstyle{}\\tab{2} Enter values of {\\it b}: ")
+     (|text| . "\\newline \\tab{2} ")
+     (|bcStrings| (12 "1" |b1| F))
+     (|text| . "\\newline \\tab{2} ")
+     (|bcStrings| (12 "0" |b2| F))
+     (|text| . "\\newline \\tab{2} ")
+     (|bcStrings| (12 "0" |b3| F))))
+  (|htMakeDoneButton| "Continue" '|f04adfGen|)
+  (|htpSetProperty| page '|n| n)
+  (|htpSetProperty| page '|m| m)
+  (|htpSetProperty| page '|ifail| ifail)
+  (|htpSetProperty| page '|inputArea| (|htpInputAreaAlist| htPage))
+  (|htShowPage|)))
 
-(DEFUN |f04adfGen| (|htPage|)
-  (PROG (|n| |m| |ia| |ib| |ic| |ifail| |alist| |right| |bstring|
-             |boutList| |bList| |boutstring| |y| |k| |matform|
-             |matstring| |prefix|)
-    (RETURN
-      (SEQ (PROGN
-             (SPADLET |n| (|htpProperty| |htPage| '|n|))
-             (SPADLET |m| (|htpProperty| |htPage| '|m|))
-             (SPADLET |ia| |n|)
-             (SPADLET |ib| |n|)
-             (SPADLET |ic| |n|)
-             (SPADLET |ifail| (|htpProperty| |htPage| '|ifail|))
-             (SPADLET |alist| (|htpInputAreaAlist| |htPage|))
-             (SPADLET |y| |alist|)
-             (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |m|) NIL)
-               (SEQ (EXIT (PROGN
-                            (DO ((|j| 1 (QSADD1 |j|)))
-                                ((QSGREATERP |j| |ib|) NIL)
-                              (SEQ (EXIT
-                                    (PROGN
-                                      (SPADLET |right|
-                                       (STRCONC (ELT (CAR |y|) 1) '| |))
-                                      (SPADLET |y| (CDR |y|))
-                                      (SPADLET |bList|
-                                       (CONS |right| |bList|))
-                                      (SPADLET |bstring|
-                                       (|bcwords2liststring| |bList|))))))
-                            (SPADLET |boutList|
-                                     (CONS |bstring| |boutList|))
-                            (SPADLET |bList| NIL)))))
-             (SPADLET |boutstring| (|bcwords2liststring| |boutList|))
-             (SPADLET |y| (REVERSE |y|))
-             (SPADLET |k| (SPADDIFFERENCE 1))
-             (SPADLET |matform|
-                      (PROG (G166185)
-                        (SPADLET G166185 NIL)
-                        (RETURN
-                          (DO ((G166190 (SPADDIFFERENCE |ia| 1))
-                               (|i| 0 (QSADD1 |i|)))
-                              ((QSGREATERP |i| G166190)
-                               (NREVERSE0 G166185))
-                            (SEQ (EXIT (SETQ G166185
-                                        (CONS
-                                         (PROG (G166198)
-                                           (SPADLET G166198 NIL)
-                                           (RETURN
-                                             (DO
-                                              ((G166203
-                                                (SPADDIFFERENCE |n| 1))
-                                               (|j| 0 (QSADD1 |j|)))
-                                              ((QSGREATERP |j|
-                                                G166203)
-                                               (NREVERSE0 G166198))
-                                               (SEQ
-                                                (EXIT
-                                                 (SETQ G166198
-                                                  (CONS
-                                                   (ELT
-                                                    (ELT |y|
-                                                     (SPADLET |k|
-                                                      (PLUS |k| 1)))
-                                                    1)
-                                                   G166198)))))))
-                                         G166185))))))))
-             (SPADLET |matstring|
-                      (|bcwords2liststring|
-                          (PROG (G166211)
-                            (SPADLET G166211 NIL)
-                            (RETURN
-                              (DO ((G166216 |matform|
-                                    (CDR G166216))
-                                   (|x| NIL))
-                                  ((OR (ATOM G166216)
-                                    (PROGN
-                                      (SETQ |x| (CAR G166216))
-                                      NIL))
-                                   (NREVERSE0 G166211))
-                                (SEQ (EXIT
-                                      (SETQ G166211
-                                       (CONS (|bcwords2liststring| |x|)
-                                        G166211)))))))))
-             (SPADLET |prefix|
-                      (STRCONC (MAKESTRING "f04adf(")
-                               (STRINGIMAGE |ia|) '|,| |boutstring|
-                               '|,|))
-             (SPADLET |prefix|
-                      (STRCONC |prefix| (STRINGIMAGE |ib|) '|, |
-                               (STRINGIMAGE |n|) '|, |))
-             (SPADLET |prefix|
-                      (STRCONC |prefix| (STRINGIMAGE |m|) '|, |
-                               (STRINGIMAGE |ic|)))
-             (SPADLET |prefix|
-                      (STRCONC |prefix| '|, | |matstring| '|, |
-                               (STRINGIMAGE |ifail|) '|)|))
-             (|bcGen| |prefix|))))))
+(defun |f04adfGen| (htPage)
+ (let (n m ia ib ic ifail alist right bstring boutList bList boutstring
+       y k matform matstring prefix t1 t3 t5)
+  (setq n (|htpProperty| htPage '|n|))
+  (setq m (|htpProperty| htPage '|m|))
+  (setq ia n)
+  (setq ib n)
+  (setq ic n)
+  (setq ifail (|htpProperty| htPage '|ifail|))
+  (setq alist (|htpInputAreaAlist| htPage))
+  (setq y alist)
+  (do ((i 1 (1+ i))) ((> i m))
+    (do ((j 1 (1+ j))) ((> j ib))
+      (setq right (strconc (elt (car y) 1) '| |))
+      (setq y (cdr y))
+      (setq bList (cons right bList))
+      (setq bstring (|bcwords2liststring| bList)))
+    (setq boutList (cons bstring boutList))
+    (setq bList nil))
+  (setq boutstring (|bcwords2liststring| boutList))
+  (setq y (reverse y))
+  (setq k -1)
+  (setq matform
+   (do ((t2 (- ia 1)) (i 0 (1+ i)))
+       ((> i t2) (nreverse0 t1))
+    (setq t1
+      (cons
+       (do ((t4 (- n 1)) (j 0 (1+ j)))
+           ((> j t4) (nreverse0 t3))
+         (setq t3 (cons (elt (elt y (setq k (1+ k))) 1) t3)))
+       t1))))
+  (setq matstring
+   (|bcwords2liststring|
+    (do ((t6 matform (cdr t6)) (x nil))
+        ((or (atom t6) (progn (setq x (car t6)) nil))
+          (nreverse0 t5))
+      (setq t5 (cons (|bcwords2liststring| x) t5)))))
+  (setq prefix (strconc "f04adf(" (stringimage ia) '|,| boutstring '|,|))
+  (setq prefix (strconc prefix (stringimage ib) '|, | (stringimage n) '|, |))
+  (setq prefix (strconc prefix (stringimage m) '|, |  (stringimage ic)))
+  (setq prefix (strconc prefix '|, | matstring '|, | (stringimage ifail) '|)|))
+  (|bcGen| prefix)))
 
-;f04arf() ==
-;  htInitPage("F04ARF - Solution of real simultaneous linear equations, one right-hand side (Black box)",nil)
-;  htMakePage '(
-;    (domainConditions
-;      (isDomain I (Integer)))
-;    (text . "\windowlink{Manual Page}{manpageXXf04arf} for this routine ")
-;    (text . "\newline ")
-;    (text . "\lispwindowlink{Browser operation page}{(|oPageFrom| '|f04arf| '|NagLinearEquationSolvingPackage|)} for this routine")
-;    (text . "\newline \horizontalline ")
-;    (text . "\blankline ")
-;    (text . "Calculates the approximate solution of a set of real linear ")
-;    (text . "equations {\it Ax = b} using an {\it LU} factorization with ")
-;    (text . "pivoting, where {\it A} is an n * n matrix, {\it x} is an n ")
-;    (text . "element vector of unknowns and {\it b} is an n element ")
-;    (text . "right-hand side vector.")
-;    (text . "\blankline ")
-;    (text . "\newline ")
-;    (text . "\blankline ")
-;    (text . "\newline \menuitemstyle{}\tab{2} ")
-;--    (text . "{\it IA} first dimension of A:")
-;--    (text . "\tab{32} \menuitemstyle{}\tab{34} ")
-;    (text . "{\it n} order of matrix A:")
-;    (text . "\newline\tab{2} ")
-;--    (bcStrings (10 8 ia I))
-;--    (text . "\tab{34} ")
-;    (bcStrings (10 3 n I))
-;    (text . "\blankline ")
-;    (text . "\newline \menuitemstyle{} \tab{2} ")
-;    (text . "Ifail value:")
-;    (radioButtons ifail
-;        ("" " -1, Print error messages" minusOne)
-;        ("" "  1, Suppress error messages" one)))
-;  htMakeDoneButton('"Continue", 'f04arfSolve)
-;  htShowPage()
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;; F04ARF - Solution of real simultaneous linear equations, 
+;;; one right-hand side (Black box)
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
-(DEFUN |f04arf| ()
-  (PROGN
-    (|htInitPage|
-        '|F04ARF - Solution of real simultaneous linear equations, one right-hand side (Black box)|
-        NIL)
-    (|htMakePage|
-        '((|domainConditions| (|isDomain| I (|Integer|)))
-          (|text|
-           . "\\windowlink{Manual Page}{manpageXXf04arf} for this routine ")
-          (|text| . "\\newline ")
-          (|text|
-           . "\\lispwindowlink{Browser operation page}{(|oPageFrom| '|f04arf| '|NagLinearEquationSolvingPackage|)} for this routine")
-          (|text| . "\\newline \\horizontalline ")
-          (|text| . "\\blankline ")
-          (|text|
-           . "Calculates the approximate solution of a set of real linear ")
-          (|text|
-           . "equations {\\it Ax = b} using an {\\it LU} factorization with ")
-          (|text|
-           . "pivoting, where {\\it A} is an n * n matrix, {\\it x} is an n ")
-          (|text|
-           . "element vector of unknowns and {\\it b} is an n element ")
-          (|text| . "right-hand side vector.")
-          (|text| . "\\blankline ") (|text| . "\\newline ")
-          (|text| . "\\blankline ")
-          (|text| . "\\newline \\menuitemstyle{}\\tab{2} ")
-          (|text| . "{\\it n} order of matrix A:")
-          (|text| . "\\newline\\tab{2} ") (|bcStrings| (10 3 |n| I))
-          (|text| . "\\blankline ")
-          (|text| . "\\newline \\menuitemstyle{} \\tab{2} ")
-          (|text| . "Ifail value:")
-          (|radioButtons| |ifail|
-              ("" " -1, Print error messages" |minusOne|)
-              ("" "  1, Suppress error messages" |one|))))
-    (|htMakeDoneButton| (MAKESTRING "Continue") '|f04arfSolve|)
-    (|htShowPage|)))
+(defun |f04arf| ()
+ (|htInitPage|
+  '|F04ARF - Solution of real simultaneous linear equations, one right-hand side (Black box)|
+   nil)
+ (|htMakePage|
+  '((|domainConditions| (|isDomain| I (|Integer|)))
+    (|text| . "\\windowlink{Manual Page}{manpageXXf04arf} for this routine ")
+    (|text| . "\\newline ")
+    (|text|
+ . "\\lispwindowlink{Browser operation page}{(|oPageFrom| '|f04arf| '|NagLinearEquationSolvingPackage|)} for this routine")
+    (|text| . "\\newline \\horizontalline ")
+    (|text| . "\\blankline ")
+    (|text| . "Calculates the approximate solution of a set of real linear ")
+    (|text| . "equations {\\it Ax = b} using an {\\it LU} factorization with ")
+    (|text| . "pivoting, where {\\it A} is an n * n matrix, {\\it x} is an n ")
+    (|text| . "element vector of unknowns and {\\it b} is an n element ")
+    (|text| . "right-hand side vector.")
+    (|text| . "\\blankline ") (|text| . "\\newline ")
+    (|text| . "\\blankline ")
+    (|text| . "\\newline \\menuitemstyle{}\\tab{2} ")
+    (|text| . "{\\it n} order of matrix A:")
+    (|text| . "\\newline\\tab{2} ") (|bcStrings| (10 3 |n| I))
+    (|text| . "\\blankline ")
+    (|text| . "\\newline \\menuitemstyle{} \\tab{2} ")
+    (|text| . "Ifail value:")
+    (|radioButtons| |ifail|
+      ("" " -1, Print error messages" |minusOne|)
+      ("" "  1, Suppress error messages" |one|))))
+  (|htMakeDoneButton| "Continue" '|f04arfSolve|)
+  (|htShowPage|))
 
 ;f04arfSolve htPage ==
 ;  n :=
@@ -635,59 +286,34 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04arfSolve,g| (|i| |j|)
-  (PROG (|ianam|)
-    (RETURN
-      (SEQ (SPADLET |ianam|
-                    (INTERN (STRCONC (MAKESTRING "ia")
-                                     (STRINGIMAGE |i|)
-                                     (STRINGIMAGE |j|))))
-           (EXIT (CONS (CONS '|bcStrings|
-                             (CONS (CONS 6
-                                    (CONS '|0.0|
-                                     (CONS |ianam| (CONS 'F NIL))))
-                                   NIL))
-                       NIL))))))
+(defun f04arfSolveg (i j)
+ (let (ianam)
+  (setq ianam (intern (strconc "ia"(stringimage i) (stringimage j))))
+  `((|bcStrings| (6 0.0 ,ianam f)))))
 
-(DEFUN |f04arfSolve,f| (|i| |n|)
-  (PROG (|prefix| |labelList|)
-    (RETURN
-      (SEQ (SPADLET |labelList|
-                    (PROG (G166265)
-                      (SPADLET G166265 NIL)
-                      (RETURN
-                        (DO ((|j| 1 (QSADD1 |j|)))
-                            ((QSGREATERP |j| |n|) G166265)
-                          (SEQ (EXIT (SETQ G166265
-                                      (APPEND G166265
-                                       (|f04arfSolve,g| |i| |j|)))))))))
-           (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (EXIT (SPADLET |labelList|
-                          (CONS (CONS '|text| |prefix|) |labelList|)))))))
+(defun f04arfSolvef (i n)
+ (let (prefix labelList t1)
+  (setq labelList
+   (do ((j 1 (1+ j))) ((> j n) t1)
+     (setq t1 (append t1 (f04arfSolveg i j)))))
+  (setq prefix "\\newline \\tab{2} ")
+  (setq labelList (cons (cons '|text| prefix) labelList))))
 
-(DEFUN |f04arfSolve,h| (|k|)
-  (PROG (|prefix| |bnam|)
-    (RETURN
-      (SEQ (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (SPADLET |bnam|
-                    (INTERN (STRCONC (MAKESTRING "b")
-                                     (STRINGIMAGE |k|))))
-           (EXIT (CONS (CONS '|text| |prefix|)
-                       (CONS (CONS '|bcStrings|
-                                   (CONS
-                                    (CONS 6
-                                     (CONS '|0.0|
-                                      (CONS |bnam| (CONS 'F NIL))))
-                                    NIL))
-                             NIL)))))))
+(defun f04arfSolveh (k)
+ (let (prefix bnam)
+  (setq prefix "\\newline \\tab{2} ")
+  (setq bnam (intern (strconc "b" (stringimage k))))
+  (cons 
+   (cons '|text| prefix)
+   `((|bcStrings| (6 0.0 ,bnam f))))))
 
-(DEFUN |f04arfSolve| (|htPage|)
+(defun |f04arfSolve| (|htPage|)
   (PROG (|n| |ia| |error| |ifail| |matList| |start| |bmatList|
              |equationPart| |page|)
   (declare (special |$EmptyMode| |$bcParseOnly|))
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n|
+             (setq |n|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -695,55 +321,54 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|n|)))))
-             (SPADLET |ia| |n|)
-             (SPADLET |error| (|htpButtonValue| |htPage| '|ifail|))
-             (SPADLET |ifail|
+             (setq |ia| |n|)
+             (setq |error| (|htpButtonValue| |htPage| '|ifail|))
+             (setq |ifail|
                       (COND ((BOOT-EQUAL |error| '|one|) '1) ('T '-1)))
              (COND
                ((BOOT-EQUAL |n| '3)
                 (|f04arfDefaultSolve| |htPage| |ifail|))
                ('T
-                (SPADLET |matList|
+                (setq |matList|
                          (PROG (G166289)
-                           (SPADLET G166289 NIL)
+                           (setq G166289 NIL)
                            (RETURN
                              (DO ((|i| 1 (QSADD1 |i|)))
                                  ((QSGREATERP |i| |ia|) G166289)
                                (SEQ (EXIT
                                      (SETQ G166289
                                       (APPEND G166289
-                                       (|f04arfSolve,f| |i| |n|)))))))))
-                (SPADLET |bmatList|
+                                       (f04arfSolvef |i| |n|)))))))))
+                (setq |bmatList|
                          (PROG (G166297)
-                           (SPADLET G166297 NIL)
+                           (setq G166297 NIL)
                            (RETURN
                              (DO ((|k| 1 (QSADD1 |k|)))
                                  ((QSGREATERP |k| |n|) G166297)
                                (SEQ (EXIT
                                      (SETQ G166297
                                       (APPEND G166297
-                                       (|f04arfSolve,h| |k|)))))))))
-                (SPADLET |start|
-                         (MAKESTRING
-           "\\blankline \\menuitemstyle{} \\tab{2} Enter values of {\\it b}:"))
-                (SPADLET |bmatList|
+                                       (f04arfSolveh |k|)))))))))
+                (setq |start|
+           "\\blankline \\menuitemstyle{} \\tab{2} Enter values of {\\it b}:")
+                (setq |bmatList|
                          (CONS (CONS '|text| |start|) |bmatList|))
-                (SPADLET |equationPart|
+                (setq |equationPart|
                          (CONS '(|domainConditions|
                                     (|isDomain| P
                                      (|Polynomial| |$EmptyMode|))
                                     (|isDomain| F (|Float|)))
                                (APPEND |matList| |bmatList|)))
-                (SPADLET |page|
+                (setq |page|
                          (|htInitPage|
                              '|F04ARF - Solution of real simultaneous linear equations, one right-hand side (Black box)|
                              NIL))
-                (|htSay| (MAKESTRING
-             "\\newline \\menuitemstyle{}\\tab{2} Enter values of {\\it A}: "))
-                (|htSay| (MAKESTRING "\\newline \\tab{2} "))
+                (|htSay|
+             "\\newline \\menuitemstyle{}\\tab{2} Enter values of {\\it A}: ")
+                (|htSay| "\\newline \\tab{2} ")
                 (|htMakePage| |equationPart|)
-                (|htSay| (MAKESTRING "\\blankline "))
-                (|htMakeDoneButton| (MAKESTRING "Continue")
+                (|htSay| "\\blankline ")
+                (|htMakeDoneButton| "Continue"
                     '|f04arfGen|)
                 (|htpSetProperty| |page| '|n| |n|)
                 (|htpSetProperty| |page| '|ifail| |ifail|)
@@ -811,13 +436,13 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04arfDefaultSolve| (|htPage| |ifail|)
+(defun |f04arfDefaultSolve| (|htPage| |ifail|)
   (PROG (|n| |ia| |page|)
     (RETURN
       (PROGN
-        (SPADLET |n| '3)
-        (SPADLET |ia| '3)
-        (SPADLET |page|
+  (setq |n| '3)
+  (setq |ia| '3)
+  (setq |page|
                  (|htInitPage|
                      '|F04ARF - Solution of real simultaneous linear equations, one right-hand side (Black box)|
                      NIL))
@@ -848,7 +473,7 @@
               (|bcStrings| (6 "281" |b2| F))
               (|text| . "\\newline \\tab{2} ")
               (|bcStrings| (6 "85" |b3| F))))
-        (|htMakeDoneButton| (MAKESTRING "Continue") '|f04arfGen|)
+        (|htMakeDoneButton| "Continue" '|f04arfGen|)
         (|htpSetProperty| |page| '|n| |n|)
         (|htpSetProperty| |page| '|ifail| |ifail|)
         (|htpSetProperty| |page| '|inputArea|
@@ -875,28 +500,28 @@
 ;  prefix := STRCONC(prefix,", ",matstring,", ",STRINGIMAGE ifail,")")
 ;  bcGen prefix
 
-(DEFUN |f04arfGen| (|htPage|)
+(defun |f04arfGen| (|htPage|)
   (PROG (|n| |ia| |ifail| |alist| |right| |bList| |bstring| |y| |k|
              |matform| |matstring| |prefix|)
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n| (|htpProperty| |htPage| '|n|))
-             (SPADLET |ia| |n|)
-             (SPADLET |ifail| (|htpProperty| |htPage| '|ifail|))
-             (SPADLET |alist| (|htpInputAreaAlist| |htPage|))
-             (SPADLET |y| |alist|)
+             (setq |n| (|htpProperty| |htPage| '|n|))
+             (setq |ia| |n|)
+             (setq |ifail| (|htpProperty| |htPage| '|ifail|))
+             (setq |alist| (|htpInputAreaAlist| |htPage|))
+             (setq |y| |alist|)
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |n|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |right|
+                            (setq |right|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |y| (CDR |y|))
-                            (SPADLET |bList| (CONS |right| |bList|))))))
-             (SPADLET |bstring| (|bcwords2liststring| |bList|))
-             (SPADLET |y| (REVERSE |y|))
-             (SPADLET |k| (SPADDIFFERENCE 1))
-             (SPADLET |matform|
+                            (setq |y| (CDR |y|))
+                            (setq |bList| (CONS |right| |bList|))))))
+             (setq |bstring| (|bcwords2liststring| |bList|))
+             (setq |y| (REVERSE |y|))
+             (setq |k| (SPADDIFFERENCE 1))
+             (setq |matform|
                       (PROG (G166342)
-                        (SPADLET G166342 NIL)
+                        (setq G166342 NIL)
                         (RETURN
                           (DO ((G166347 (SPADDIFFERENCE |ia| 1))
                                (|i| 0 (QSADD1 |i|)))
@@ -905,7 +530,7 @@
                             (SEQ (EXIT (SETQ G166342
                                         (CONS
                                          (PROG (G166355)
-                                           (SPADLET G166355 NIL)
+                                           (setq G166355 NIL)
                                            (RETURN
                                              (DO
                                               ((G166360
@@ -920,15 +545,15 @@
                                                   (CONS
                                                    (ELT
                                                     (ELT |y|
-                                                     (SPADLET |k|
+                                                     (setq |k|
                                                       (PLUS |k| 1)))
                                                     1)
                                                    G166355)))))))
                                          G166342))))))))
-             (SPADLET |matstring|
+             (setq |matstring|
                       (|bcwords2liststring|
                           (PROG (G166368)
-                            (SPADLET G166368 NIL)
+                            (setq G166368 NIL)
                             (RETURN
                               (DO ((G166373 |matform|
                                     (CDR G166373))
@@ -942,11 +567,11 @@
                                       (SETQ G166368
                                        (CONS (|bcwords2liststring| |x|)
                                         G166368)))))))))
-             (SPADLET |prefix|
-                      (STRCONC (MAKESTRING "f04arf(")
+             (setq |prefix|
+                      (STRCONC "f04arf("
                                (STRINGIMAGE |ia|) '|, [| |bstring|
                                '|],| (STRINGIMAGE |n|)))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| '|, | |matstring| '|, |
                                (STRINGIMAGE |ifail|) '|)|))
              (|bcGen| |prefix|))))))
@@ -987,7 +612,7 @@
 ;  htMakeDoneButton('"Continue", 'f04asfSolve)
 ;  htShowPage()
 
-(DEFUN |f04asf| ()
+(defun |f04asf| ()
   (PROGN
     (|htInitPage|
         '|F04ASF - Solution of real symmetric positive-definite simultaneous linear equations, one right-hand side using iterative refinement (Black box)|
@@ -1023,7 +648,7 @@
           (|radioButtons| |ifail|
               ("" " -1, Print error messages" |minusOne|)
               ("" "  1, Suppress error messages" |one|))))
-    (|htMakeDoneButton| (MAKESTRING "Continue") '|f04asfSolve|)
+    (|htMakeDoneButton| "Continue" '|f04asfSolve|)
     (|htShowPage|)))
 
 ;f04asfSolve htPage ==
@@ -1071,11 +696,11 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04asfSolve,g| (|i| |j|)
+(defun |f04asfSolve,g| (|i| |j|)
   (PROG (|ianam|)
     (RETURN
-      (SEQ (SPADLET |ianam|
-                    (INTERN (STRCONC (MAKESTRING "ia")
+      (SEQ (setq |ianam|
+                    (INTERN (STRCONC  "ia"
                                      (STRINGIMAGE |i|)
                                      (STRINGIMAGE |j|))))
            (EXIT (CONS (CONS '|bcStrings|
@@ -1085,28 +710,28 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04asfSolve,f| (|i| |n|)
+(defun |f04asfSolve,f| (|i| |n|)
   (PROG (|prefix| |labelList|)
     (RETURN
-      (SEQ (SPADLET |labelList|
+      (SEQ (setq |labelList|
                     (PROG (G166414)
-                      (SPADLET G166414 NIL)
+                      (setq G166414 NIL)
                       (RETURN
                         (DO ((|j| 1 (QSADD1 |j|)))
                             ((QSGREATERP |j| |n|) G166414)
                           (SEQ (EXIT (SETQ G166414
                                       (APPEND G166414
                                        (|f04asfSolve,g| |i| |j|)))))))))
-           (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (EXIT (SPADLET |labelList|
+           (setq |prefix| "\\newline \\tab{2} ")
+           (EXIT (setq |labelList|
                           (CONS (CONS '|text| |prefix|) |labelList|)))))))
 
-(DEFUN |f04asfSolve,h| (|k|)
+(defun |f04asfSolve,h| (|k|)
   (PROG (|prefix| |bnam|)
     (RETURN
-      (SEQ (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (SPADLET |bnam|
-                    (INTERN (STRCONC (MAKESTRING "b")
+      (SEQ (setq |prefix| "\\newline \\tab{2} ")
+           (setq |bnam|
+                    (INTERN (STRCONC "b"
                                      (STRINGIMAGE |k|))))
            (EXIT (CONS (CONS '|text| |prefix|)
                        (CONS (CONS '|bcStrings|
@@ -1117,13 +742,13 @@
                                     NIL))
                              NIL)))))))
 
-(DEFUN |f04asfSolve| (|htPage|)
+(defun |f04asfSolve| (|htPage|)
   (PROG (|n| |ia| |error| |ifail| |matList| |start| |bmatList|
              |equationPart| |page|)
   (declare (special |$EmptyMode| |$bcParseOnly|))
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n|
+             (setq |n|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -1131,17 +756,17 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|n|)))))
-             (SPADLET |ia| |n|)
-             (SPADLET |error| (|htpButtonValue| |htPage| '|ifail|))
-             (SPADLET |ifail|
+             (setq |ia| |n|)
+             (setq |error| (|htpButtonValue| |htPage| '|ifail|))
+             (setq |ifail|
                       (COND ((BOOT-EQUAL |error| '|one|) '1) ('T '-1)))
              (COND
                ((BOOT-EQUAL |n| '4)
                 (|f04asfDefaultSolve| |htPage| |ifail|))
                ('T
-                (SPADLET |matList|
+                (setq |matList|
                          (PROG (G166438)
-                           (SPADLET G166438 NIL)
+                           (setq G166438 NIL)
                            (RETURN
                              (DO ((|i| 1 (QSADD1 |i|)))
                                  ((QSGREATERP |i| |ia|) G166438)
@@ -1149,9 +774,9 @@
                                      (SETQ G166438
                                       (APPEND G166438
                                        (|f04asfSolve,f| |i| |n|)))))))))
-                (SPADLET |bmatList|
+                (setq |bmatList|
                          (PROG (G166446)
-                           (SPADLET G166446 NIL)
+                           (setq G166446 NIL)
                            (RETURN
                              (DO ((|k| 1 (QSADD1 |k|)))
                                  ((QSGREATERP |k| |n|) G166446)
@@ -1159,28 +784,26 @@
                                      (SETQ G166446
                                       (APPEND G166446
                                        (|f04asfSolve,h| |k|)))))))))
-                (SPADLET |start|
-                         (MAKESTRING
-           "\\blankline \\menuitemstyle{} \\tab{2} Enter values of {\\it b}:"))
-                (SPADLET |bmatList|
+                (setq |start|
+           "\\blankline \\menuitemstyle{} \\tab{2} Enter values of {\\it b}:")
+                (setq |bmatList|
                          (CONS (CONS '|text| |start|) |bmatList|))
-                (SPADLET |equationPart|
+                (setq |equationPart|
                          (CONS '(|domainConditions|
                                     (|isDomain| P
                                      (|Polynomial| |$EmptyMode|))
                                     (|isDomain| F (|Float|)))
                                (APPEND |matList| |bmatList|)))
-                (SPADLET |page|
+                (setq |page|
                          (|htInitPage|
                              '|F04ASF - Solution of real symmetric positive-definite simultaneous linear equations, one right-hand side using iterative refinement (Black box)|
                              NIL))
-                (|htSay| (MAKESTRING
-             "\\newline \\menuitemstyle{}\\tab{2} Enter values of {\\it A}: "))
-                (|htSay| (MAKESTRING "\\newline \\tab{2} "))
+                (|htSay| 
+             "\\newline \\menuitemstyle{}\\tab{2} Enter values of {\\it A}: ")
+                (|htSay| "\\newline \\tab{2} ")
                 (|htMakePage| |equationPart|)
-                (|htSay| (MAKESTRING "\\blankline "))
-                (|htMakeDoneButton| (MAKESTRING "Continue")
-                    '|f04asfGen|)
+                (|htSay| "\\blankline ")
+                (|htMakeDoneButton| "Continue" '|f04asfGen|)
                 (|htpSetProperty| |page| '|n| |n|)
                 (|htpSetProperty| |page| '|ifail| |ifail|)
                 (|htpSetProperty| |page| '|inputArea|
@@ -1257,13 +880,13 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04asfDefaultSolve| (|htPage| |ifail|)
+(defun |f04asfDefaultSolve| (|htPage| |ifail|)
   (PROG (|n| |ia| |page|)
     (RETURN
       (PROGN
-        (SPADLET |n| '4)
-        (SPADLET |ia| '4)
-        (SPADLET |page|
+        (setq |n| '4)
+        (setq |ia| '4)
+        (setq |page|
                  (|htInitPage|
                      '|F04ASF - Solution of real symmetric positive-definite simultaneous linear equations, one right-hand side using iterative refinement (Black box)|
                      NIL))
@@ -1299,7 +922,7 @@
               (|bcStrings| (6 33 |b3| F))
               (|text| . "\\newline \\tab{2} ")
               (|bcStrings| (6 31 |b4| F))))
-        (|htMakeDoneButton| (MAKESTRING "Continue") '|f04asfGen|)
+        (|htMakeDoneButton| "Continue" '|f04asfGen|)
         (|htpSetProperty| |page| '|n| |n|)
         (|htpSetProperty| |page| '|ifail| |ifail|)
         (|htpSetProperty| |page| '|inputArea|
@@ -1326,28 +949,28 @@
 ;  prefix := STRCONC(prefix,", ",matstring,", ",STRINGIMAGE ifail,")")
 ;  bcGen prefix
 
-(DEFUN |f04asfGen| (|htPage|)
+(defun |f04asfGen| (|htPage|)
   (PROG (|n| |ia| |ifail| |alist| |right| |bList| |bstring| |y| |k|
              |matform| |matstring| |prefix|)
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n| (|htpProperty| |htPage| '|n|))
-             (SPADLET |ia| |n|)
-             (SPADLET |ifail| (|htpProperty| |htPage| '|ifail|))
-             (SPADLET |alist| (|htpInputAreaAlist| |htPage|))
-             (SPADLET |y| |alist|)
+             (setq |n| (|htpProperty| |htPage| '|n|))
+             (setq |ia| |n|)
+             (setq |ifail| (|htpProperty| |htPage| '|ifail|))
+             (setq |alist| (|htpInputAreaAlist| |htPage|))
+             (setq |y| |alist|)
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |n|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |right|
+                            (setq |right|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |y| (CDR |y|))
-                            (SPADLET |bList| (CONS |right| |bList|))))))
-             (SPADLET |bstring| (|bcwords2liststring| |bList|))
-             (SPADLET |y| (REVERSE |y|))
-             (SPADLET |k| (SPADDIFFERENCE 1))
-             (SPADLET |matform|
+                            (setq |y| (CDR |y|))
+                            (setq |bList| (CONS |right| |bList|))))))
+             (setq |bstring| (|bcwords2liststring| |bList|))
+             (setq |y| (REVERSE |y|))
+             (setq |k| (SPADDIFFERENCE 1))
+             (setq |matform|
                       (PROG (G166491)
-                        (SPADLET G166491 NIL)
+                        (setq G166491 NIL)
                         (RETURN
                           (DO ((G166496 (SPADDIFFERENCE |ia| 1))
                                (|i| 0 (QSADD1 |i|)))
@@ -1356,7 +979,7 @@
                             (SEQ (EXIT (SETQ G166491
                                         (CONS
                                          (PROG (G166504)
-                                           (SPADLET G166504 NIL)
+                                           (setq G166504 NIL)
                                            (RETURN
                                              (DO
                                               ((G166509
@@ -1371,15 +994,15 @@
                                                   (CONS
                                                    (ELT
                                                     (ELT |y|
-                                                     (SPADLET |k|
+                                                     (setq |k|
                                                       (PLUS |k| 1)))
                                                     1)
                                                    G166504)))))))
                                          G166491))))))))
-             (SPADLET |matstring|
+             (setq |matstring|
                       (|bcwords2liststring|
                           (PROG (G166517)
-                            (SPADLET G166517 NIL)
+                            (setq G166517 NIL)
                             (RETURN
                               (DO ((G166522 |matform|
                                     (CDR G166522))
@@ -1393,11 +1016,11 @@
                                       (SETQ G166517
                                        (CONS (|bcwords2liststring| |x|)
                                         G166517)))))))))
-             (SPADLET |prefix|
-                      (STRCONC (MAKESTRING "f04asf(")
+             (setq |prefix|
+                      (STRCONC "f04asf("
                                (STRINGIMAGE |ia|) '|, [| |bstring|
                                '|],| (STRINGIMAGE |n|)))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| '|, | |matstring| '|, |
                                (STRINGIMAGE |ifail|) '|)|))
              (|bcGen| |prefix|))))))
@@ -1443,7 +1066,7 @@
 ;  htMakeDoneButton('"Continue", 'f04atfSolve)
 ;  htShowPage()
 
-(DEFUN |f04atf| ()
+(defun |f04atf| ()
   (PROGN
     (|htInitPage|
         '|F04ATF - Solution of real simultaneous linear equations, one right-hand side using iterative refinement (Black box)|
@@ -1478,7 +1101,7 @@
           (|radioButtons| |ifail|
               ("" " -1, Print error messages" |minusOne|)
               ("" "  1, Suppress error messages" |one|))))
-    (|htMakeDoneButton| (MAKESTRING "Continue") '|f04atfSolve|)
+    (|htMakeDoneButton| "Continue" '|f04atfSolve|)
     (|htShowPage|)))
 
 ;f04atfSolve htPage ==
@@ -1530,11 +1153,11 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04atfSolve,g| (|i| |j|)
+(defun |f04atfSolve,g| (|i| |j|)
   (PROG (|ianam|)
     (RETURN
-      (SEQ (SPADLET |ianam|
-                    (INTERN (STRCONC (MAKESTRING "ia")
+      (SEQ (setq |ianam|
+                    (INTERN (STRCONC "ia"
                                      (STRINGIMAGE |i|)
                                      (STRINGIMAGE |j|))))
            (EXIT (CONS (CONS '|bcStrings|
@@ -1544,29 +1167,28 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04atfSolve,f| (|i| |n|)
+(defun |f04atfSolve,f| (|i| |n|)
   (PROG (|prefix| |labelList|)
     (RETURN
-      (SEQ (SPADLET |labelList|
+      (SEQ (setq |labelList|
                     (PROG (G166563)
-                      (SPADLET G166563 NIL)
+                      (setq G166563 NIL)
                       (RETURN
                         (DO ((|j| 1 (QSADD1 |j|)))
                             ((QSGREATERP |j| |n|) G166563)
                           (SEQ (EXIT (SETQ G166563
                                       (APPEND G166563
                                        (|f04atfSolve,g| |i| |j|)))))))))
-           (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (EXIT (SPADLET |labelList|
+           (setq |prefix| "\\newline \\tab{2} ")
+           (EXIT (setq |labelList|
                           (CONS (CONS '|text| |prefix|) |labelList|)))))))
 
-(DEFUN |f04atfSolve,h| (|k|)
+(defun |f04atfSolve,h| (|k|)
   (PROG (|prefix| |bnam|)
     (RETURN
-      (SEQ (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (SPADLET |bnam|
-                    (INTERN (STRCONC (MAKESTRING "b")
-                                     (STRINGIMAGE |k|))))
+      (SEQ (setq |prefix| "\\newline \\tab{2} ")
+           (setq |bnam|
+                    (INTERN (STRCONC "b" (STRINGIMAGE |k|))))
            (EXIT (CONS (CONS '|text| |prefix|)
                        (CONS (CONS '|bcStrings|
                                    (CONS
@@ -1576,13 +1198,13 @@
                                     NIL))
                              NIL)))))))
 
-(DEFUN |f04atfSolve| (|htPage|)
+(defun |f04atfSolve| (|htPage|)
   (PROG (|n| |ia| |iaa| |error| |ifail| |matList| |start| |bmatList|
              |equationPart| |page|)
   (declare (special |$EmptyMode| |$bcParseOnly|))
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n|
+             (setq |n|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -1590,18 +1212,18 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|n|)))))
-             (SPADLET |ia| |n|)
-             (SPADLET |iaa| |n|)
-             (SPADLET |error| (|htpButtonValue| |htPage| '|ifail|))
-             (SPADLET |ifail|
+             (setq |ia| |n|)
+             (setq |iaa| |n|)
+             (setq |error| (|htpButtonValue| |htPage| '|ifail|))
+             (setq |ifail|
                       (COND ((BOOT-EQUAL |error| '|one|) '1) ('T '-1)))
              (COND
                ((BOOT-EQUAL |n| '3)
                 (|f04atfDefaultSolve| |htPage| |iaa| |ifail|))
                ('T
-                (SPADLET |matList|
+                (setq |matList|
                          (PROG (G166587)
-                           (SPADLET G166587 NIL)
+                           (setq G166587 NIL)
                            (RETURN
                              (DO ((|i| 1 (QSADD1 |i|)))
                                  ((QSGREATERP |i| |ia|) G166587)
@@ -1609,9 +1231,9 @@
                                      (SETQ G166587
                                       (APPEND G166587
                                        (|f04atfSolve,f| |i| |n|)))))))))
-                (SPADLET |bmatList|
+                (setq |bmatList|
                          (PROG (G166595)
-                           (SPADLET G166595 NIL)
+                           (setq G166595 NIL)
                            (RETURN
                              (DO ((|k| 1 (QSADD1 |k|)))
                                  ((QSGREATERP |k| |n|) G166595)
@@ -1619,28 +1241,26 @@
                                      (SETQ G166595
                                       (APPEND G166595
                                        (|f04atfSolve,h| |k|)))))))))
-                (SPADLET |start|
-                         (MAKESTRING
-           "\\blankline \\menuitemstyle{} \\tab{2} Enter values of {\\it b}:"))
-                (SPADLET |bmatList|
+                (setq |start|
+           "\\blankline \\menuitemstyle{} \\tab{2} Enter values of {\\it b}:")
+                (setq |bmatList|
                          (CONS (CONS '|text| |start|) |bmatList|))
-                (SPADLET |equationPart|
+                (setq |equationPart|
                          (CONS '(|domainConditions|
                                     (|isDomain| P
                                      (|Polynomial| |$EmptyMode|))
                                     (|isDomain| F (|Float|)))
                                (APPEND |matList| |bmatList|)))
-                (SPADLET |page|
+                (setq |page|
                          (|htInitPage|
                              '|F04ATF - Solution of real simultaneous linear equations, one right-hand side using iterative refinement (Black box)|
                              NIL))
-                (|htSay| (MAKESTRING
-             "\\newline \\menuitemstyle{}\\tab{2} Enter values of {\\it A}: "))
-                (|htSay| (MAKESTRING "\\newline \\tab{2} "))
+                (|htSay|
+             "\\newline \\menuitemstyle{}\\tab{2} Enter values of {\\it A}: ")
+                (|htSay| "\\newline \\tab{2} ")
                 (|htMakePage| |equationPart|)
-                (|htSay| (MAKESTRING "\\blankline "))
-                (|htMakeDoneButton| (MAKESTRING "Continue")
-                    '|f04atfGen|)
+                (|htSay| "\\blankline ")
+                (|htMakeDoneButton| "Continue" '|f04atfGen|)
                 (|htpSetProperty| |page| '|n| |n|)
                 (|htpSetProperty| |page| '|ifail| |ifail|)
                 (|htpSetProperty| |page| '|inputArea|
@@ -1708,13 +1328,14 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04atfDefaultSolve| (|htPage| |iaa| |ifail|)
+(defun |f04atfDefaultSolve| (|htPage| |iaa| |ifail|)
+  (declare (ignore |iaa|))
   (PROG (|n| |ia| |page|)
     (RETURN
       (PROGN
-        (SPADLET |n| '3)
-        (SPADLET |ia| '3)
-        (SPADLET |page|
+        (setq |n| '3)
+        (setq |ia| '3)
+        (setq |page|
                  (|htInitPage|
                      '|F04ATF - Solution of real simultaneous linear equations, one right-hand side using iterative refinement (Black box)|
                      NIL))
@@ -1745,7 +1366,7 @@
               (|bcStrings| (6 "281" |b2| F))
               (|text| . "\\newline \\tab{2} ")
               (|bcStrings| (6 "85" |b3| F))))
-        (|htMakeDoneButton| (MAKESTRING "Continue") '|f04atfGen|)
+        (|htMakeDoneButton| "Continue" '|f04atfGen|)
         (|htpSetProperty| |page| '|n| |n|)
         (|htpSetProperty| |page| '|ifail| |ifail|)
         (|htpSetProperty| |page| '|inputArea|
@@ -1775,29 +1396,29 @@
 ;  prefix := STRCONC(prefix,STRINGIMAGE ifail,")")
 ;  bcGen prefix
 
-(DEFUN |f04atfGen| (|htPage|)
+(defun |f04atfGen| (|htPage|)
   (PROG (|n| |ia| |iaa| |ifail| |alist| |right| |bList| |bstring| |y|
              |k| |matform| |matstring| |prefix|)
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n| (|htpProperty| |htPage| '|n|))
-             (SPADLET |ia| |n|)
-             (SPADLET |iaa| |n|)
-             (SPADLET |ifail| (|htpProperty| |htPage| '|ifail|))
-             (SPADLET |alist| (|htpInputAreaAlist| |htPage|))
-             (SPADLET |y| |alist|)
+             (setq |n| (|htpProperty| |htPage| '|n|))
+             (setq |ia| |n|)
+             (setq |iaa| |n|)
+             (setq |ifail| (|htpProperty| |htPage| '|ifail|))
+             (setq |alist| (|htpInputAreaAlist| |htPage|))
+             (setq |y| |alist|)
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |n|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |right|
+                            (setq |right|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |y| (CDR |y|))
-                            (SPADLET |bList| (CONS |right| |bList|))))))
-             (SPADLET |bstring| (|bcwords2liststring| |bList|))
-             (SPADLET |y| (REVERSE |y|))
-             (SPADLET |k| (SPADDIFFERENCE 1))
-             (SPADLET |matform|
+                            (setq |y| (CDR |y|))
+                            (setq |bList| (CONS |right| |bList|))))))
+             (setq |bstring| (|bcwords2liststring| |bList|))
+             (setq |y| (REVERSE |y|))
+             (setq |k| (SPADDIFFERENCE 1))
+             (setq |matform|
                       (PROG (G166641)
-                        (SPADLET G166641 NIL)
+                        (setq G166641 NIL)
                         (RETURN
                           (DO ((G166646 (SPADDIFFERENCE |ia| 1))
                                (|i| 0 (QSADD1 |i|)))
@@ -1806,7 +1427,7 @@
                             (SEQ (EXIT (SETQ G166641
                                         (CONS
                                          (PROG (G166654)
-                                           (SPADLET G166654 NIL)
+                                           (setq G166654 NIL)
                                            (RETURN
                                              (DO
                                               ((G166659
@@ -1821,15 +1442,15 @@
                                                   (CONS
                                                    (ELT
                                                     (ELT |y|
-                                                     (SPADLET |k|
+                                                     (setq |k|
                                                       (PLUS |k| 1)))
                                                     1)
                                                    G166654)))))))
                                          G166641))))))))
-             (SPADLET |matstring|
+             (setq |matstring|
                       (|bcwords2liststring|
                           (PROG (G166667)
-                            (SPADLET G166667 NIL)
+                            (setq G166667 NIL)
                             (RETURN
                               (DO ((G166672 |matform|
                                     (CDR G166672))
@@ -1843,13 +1464,13 @@
                                       (SETQ G166667
                                        (CONS (|bcwords2liststring| |x|)
                                         G166667)))))))))
-             (SPADLET |prefix|
-                      (STRCONC (MAKESTRING "f04atf(") |matstring| '|, |
+             (setq |prefix|
+                      (STRCONC "f04atf(" |matstring| '|, |
                                (STRINGIMAGE |ia|) '|, [| |bstring|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| '|],| (STRINGIMAGE |n|) '|, |
                                (STRINGIMAGE |iaa|) '|, |))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |ifail|) '|)|))
              (|bcGen| |prefix|))))))
 
@@ -1896,11 +1517,10 @@
 ;  htMakeDoneButton('"Continue", 'f04fafSolve)
 ;  htShowPage()
 
-(DEFUN |f04faf| ()
+(defun |f04faf| ()
   (PROGN
     (|htInitPage|
-        (MAKESTRING
-            "F04FAF - Solution of real symmetric positive-definite tridiagonal simultaneous linear equations, one right-hand side (Black box)")
+            "F04FAF - Solution of real symmetric positive-definite tridiagonal simultaneous linear equations, one right-hand side (Black box)"
         NIL)
     (|htMakePage|
         '((|domainConditions| (|isDomain| PI (|PositiveInteger|)))
@@ -1947,7 +1567,7 @@
           (|radioButtons| |ifail|
               ("" " -1, Print error messages" |minusOne|)
               ("" "  1, Suppress error messages" |one|))))
-    (|htMakeDoneButton| (MAKESTRING "Continue") '|f04fafSolve|)
+    (|htMakeDoneButton| "Continue" '|f04fafSolve|)
     (|htShowPage|)))
 
 ;f04fafSolve htPage ==
@@ -2006,13 +1626,12 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04fafSolve,f| (|i|)
+(defun |f04fafSolve,f| (|i|)
   (PROG (|prefix| |dnam|)
     (RETURN
-      (SEQ (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (SPADLET |dnam|
-                    (INTERN (STRCONC (MAKESTRING "d")
-                                     (STRINGIMAGE |i|))))
+      (SEQ (setq |prefix| "\\newline \\tab{2} ")
+           (setq |dnam|
+                    (INTERN (STRCONC "d" (STRINGIMAGE |i|))))
            (EXIT (CONS (CONS '|text| |prefix|)
                        (CONS (CONS '|bcStrings|
                                    (CONS
@@ -2022,13 +1641,12 @@
                                     NIL))
                              NIL)))))))
 
-(DEFUN |f04fafSolve,g| (|j|)
+(defun |f04fafSolve,g| (|j|)
   (PROG (|prefix| |enam|)
     (RETURN
-      (SEQ (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (SPADLET |enam|
-                    (INTERN (STRCONC (MAKESTRING "e")
-                                     (STRINGIMAGE |j|))))
+      (SEQ (setq |prefix| "\\newline \\tab{2} ")
+           (setq |enam|
+                    (INTERN (STRCONC "e" (STRINGIMAGE |j|))))
            (EXIT (CONS (CONS '|text| |prefix|)
                        (CONS (CONS '|bcStrings|
                                    (CONS
@@ -2039,13 +1657,12 @@
                              NIL)))))))
 
 
-(DEFUN |f04fafSolve,h| (|k|)
+(defun |f04fafSolve,h| (|k|)
   (PROG (|prefix| |bnam|)
     (RETURN
-      (SEQ (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (SPADLET |bnam|
-                    (INTERN (STRCONC (MAKESTRING "b")
-                                     (STRINGIMAGE |k|))))
+      (SEQ (setq |prefix| "\\newline \\tab{2} ")
+           (setq |bnam|
+                    (INTERN (STRCONC "b" (STRINGIMAGE |k|))))
            (EXIT (CONS (CONS '|text| |prefix|)
                        (CONS (CONS '|bcStrings|
                                    (CONS
@@ -2055,13 +1672,13 @@
                                     NIL))
                              NIL)))))))
 
-(DEFUN |f04fafSolve| (|htPage|)
+(defun |f04fafSolve| (|htPage|)
   (PROG (|n| |number| |job| |error| |ifail| |dList| |eList| |prefix|
              |bList| |equationPart| |page|)
   (declare (special |$EmptyMode| |$bcParseOnly|))
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n|
+             (setq |n|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -2069,21 +1686,21 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|n|)))))
-             (SPADLET |number| (|htpButtonValue| |htPage| '|job|))
-             (SPADLET |job|
+             (setq |number| (|htpButtonValue| |htPage| '|job|))
+             (setq |job|
                       (COND
                         ((BOOT-EQUAL |number| '|jobOne|) '1)
                         ('T '0)))
-             (SPADLET |error| (|htpButtonValue| |htPage| '|ifail|))
-             (SPADLET |ifail|
+             (setq |error| (|htpButtonValue| |htPage| '|ifail|))
+             (setq |ifail|
                       (COND ((BOOT-EQUAL |error| '|one|) '1) ('T '-1)))
              (COND
                ((BOOT-EQUAL |n| '5)
                 (|f04fafDefaultSolve| |htPage| |job| |ifail|))
                ('T
-                (SPADLET |dList|
+                (setq |dList|
                          (PROG (G166731)
-                           (SPADLET G166731 NIL)
+                           (setq G166731 NIL)
                            (RETURN
                              (DO ((|i| 1 (QSADD1 |i|)))
                                  ((QSGREATERP |i| |n|) G166731)
@@ -2091,16 +1708,15 @@
                                      (SETQ G166731
                                       (APPEND G166731
                                        (|f04fafSolve,f| |i|)))))))))
-                (SPADLET |prefix|
-                         (MAKESTRING
-                             "\\menuitemstyle{}\\tab{2} {\\it D} Diagonal elements of T: "))
-                (SPADLET |prefix|
+                (setq |prefix|
+                 "\\menuitemstyle{}\\tab{2} {\\it D} Diagonal elements of T: ")
+                (setq |prefix|
                          (STRCONC |prefix| '|\\newline \\tab{2} |))
-                (SPADLET |dList|
+                (setq |dList|
                          (CONS (CONS '|text| |prefix|) |dList|))
-                (SPADLET |eList|
+                (setq |eList|
                          (PROG (G166739)
-                           (SPADLET G166739 NIL)
+                           (setq G166739 NIL)
                            (RETURN
                              (DO ((G166744 (SPADDIFFERENCE |n| 1))
                                   (|j| 1 (QSADD1 |j|)))
@@ -2109,25 +1725,24 @@
                                      (SETQ G166739
                                       (APPEND G166739
                                        (|f04fafSolve,g| |j|)))))))))
-                (SPADLET |prefix|
-                         (MAKESTRING
-                             "\\blankline \\newline \\menuitemstyle{}\\tab{2} {\\it E} E(2) "))
-                (SPADLET |prefix|
+                (setq |prefix|
+              "\\blankline \\newline \\menuitemstyle{}\\tab{2} {\\it E} E(2) ")
+                (setq |prefix|
                          (STRCONC |prefix|
                                   '|to E(N)\\newline \\tab{2} Job = 0 => super-diagonal|))
-                (SPADLET |prefix|
+                (setq |prefix|
                          (STRCONC |prefix|
                                   '| elements of {\\it T}. \\newline \\tab{2} Job = 1 =>|))
-                (SPADLET |prefix|
+                (setq |prefix|
                          (STRCONC |prefix|
                                   '| off-diagonal elements of {\\it M} from previous |))
-                (SPADLET |prefix|
+                (setq |prefix|
                          (STRCONC |prefix| '|call to F04FAF. |))
-                (SPADLET |eList|
+                (setq |eList|
                          (CONS (CONS '|text| |prefix|) |eList|))
-                (SPADLET |bList|
+                (setq |bList|
                          (PROG (G166748)
-                           (SPADLET G166748 NIL)
+                           (setq G166748 NIL)
                            (RETURN
                              (DO ((|k| 1 (QSADD1 |k|)))
                                  ((QSGREATERP |k| |n|) G166748)
@@ -2135,14 +1750,13 @@
                                      (SETQ G166748
                                       (APPEND G166748
                                        (|f04fafSolve,h| |k|)))))))))
-                (SPADLET |prefix|
-                         (MAKESTRING
-        "\\blankline \\newline \\menuitemstyle{}\\tab{2} {\\it B} Right-hand"))
-                (SPADLET |prefix|
+                (setq |prefix|
+        "\\blankline \\newline \\menuitemstyle{}\\tab{2} {\\it B} Right-hand")
+                (setq |prefix|
                          (STRCONC |prefix| '| side vector b: |))
-                (SPADLET |bList|
+                (setq |bList|
                          (CONS (CONS '|text| |prefix|) |bList|))
-                (SPADLET |equationPart|
+                (setq |equationPart|
                          (CONS '(|domainConditions|
                                     (|isDomain| P
                                      (|Polynomial| |$EmptyMode|))
@@ -2151,13 +1765,12 @@
                                     (|isDomain| PI (|PositiveInteger|)))
                                (APPEND |dList|
                                        (APPEND |eList| |bList|))))
-                (SPADLET |page|
+                (setq |page|
                          (|htInitPage|
                              '|F04FAF - Solution of real symmetric positive-definite tridiagonal simultaneous linear equations, one right-hand side (Black box)|
                              NIL))
                 (|htMakePage| |equationPart|)
-                (|htMakeDoneButton| (MAKESTRING "Continue")
-                    '|f04fafGen|)
+                (|htMakeDoneButton| "Continue" '|f04fafGen|)
                 (|htpSetProperty| |page| '|n| |n|)
                 (|htpSetProperty| |page| '|job| |job|)
                 (|htpSetProperty| |page| '|ifail| |ifail|)
@@ -2217,15 +1830,14 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04fafDefaultSolve| (|htPage| |job| |ifail|)
+(defun |f04fafDefaultSolve| (|htPage| |job| |ifail|)
   (PROG (|n| |page|)
     (RETURN
       (PROGN
-        (SPADLET |n| '5)
-        (SPADLET |page|
+        (setq |n| '5)
+        (setq |page|
                  (|htInitPage|
-                     (MAKESTRING
-                         "F04FAF - Solution of real symmetric positive-definite tridiagonal simultaneous linear equations, one right-hand side (Black box)")
+                         "F04FAF - Solution of real symmetric positive-definite tridiagonal simultaneous linear equations, one right-hand side (Black box)"
                      NIL))
         (|htMakePage|
             '((|domainConditions| (|isDomain| F (|Float|)))
@@ -2271,7 +1883,7 @@
               (|bcStrings| (10 14 |b4| F))
               (|text| . "\\newline \\tab{2} ")
               (|bcStrings| (10 7 |b5| F))))
-        (|htMakeDoneButton| (MAKESTRING "Continue") '|f04fafGen|)
+        (|htMakeDoneButton| "Continue" '|f04fafGen|)
         (|htpSetProperty| |page| '|n| |n|)
         (|htpSetProperty| |page| '|job| |job|)
         (|htpSetProperty| |page| '|ifail| |ifail|)
@@ -2306,48 +1918,48 @@
 ;  prefix := STRCONC(prefix,STRINGIMAGE ifail,")")
 ;  bcGen prefix
 
-(DEFUN |f04fafGen| (|htPage|)
+(defun |f04fafGen| (|htPage|)
   (PROG (|n| |job| |ifail| |alist| |b| |bList| |bstring| |e| |eList|
              |estring| |d| |dList| |y| |dstring| |prefix|)
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n| (|htpProperty| |htPage| '|n|))
-             (SPADLET |job| (|htpProperty| |htPage| '|job|))
-             (SPADLET |ifail| (|htpProperty| |htPage| '|ifail|))
-             (SPADLET |alist| (|htpInputAreaAlist| |htPage|))
-             (SPADLET |y| |alist|)
+             (setq |n| (|htpProperty| |htPage| '|n|))
+             (setq |job| (|htpProperty| |htPage| '|job|))
+             (setq |ifail| (|htpProperty| |htPage| '|ifail|))
+             (setq |alist| (|htpInputAreaAlist| |htPage|))
+             (setq |y| |alist|)
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |n|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |b|
+                            (setq |b|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |bList| (CONS |b| |bList|))
-                            (SPADLET |y| (CDR |y|))))))
-             (SPADLET |bstring| (|bcwords2liststring| |bList|))
+                            (setq |bList| (CONS |b| |bList|))
+                            (setq |y| (CDR |y|))))))
+             (setq |bstring| (|bcwords2liststring| |bList|))
              (DO ((G166809 (SPADDIFFERENCE |n| 1))
                   (|i| 1 (QSADD1 |i|)))
                  ((QSGREATERP |i| G166809) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |e|
+                            (setq |e|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |eList| (CONS |e| |eList|))
-                            (SPADLET |y| (CDR |y|))))))
-             (SPADLET |eList| (CONS (MAKESTRING "0") |eList|))
-             (SPADLET |estring| (|bcwords2liststring| |eList|))
+                            (setq |eList| (CONS |e| |eList|))
+                            (setq |y| (CDR |y|))))))
+             (setq |eList| (CONS "0" |eList|))
+             (setq |estring| (|bcwords2liststring| |eList|))
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |n|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |d|
+                            (setq |d|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |dList| (CONS |d| |dList|))
-                            (SPADLET |y| (CDR |y|))))))
-             (SPADLET |dstring| (|bcwords2liststring| |dList|))
-             (SPADLET |prefix|
-                      (STRCONC (MAKESTRING "f04faf(")
+                            (setq |dList| (CONS |d| |dList|))
+                            (setq |y| (CDR |y|))))))
+             (setq |dstring| (|bcwords2liststring| |dList|))
+             (setq |prefix|
+                      (STRCONC  "f04faf("
                                (STRINGIMAGE |job|) '|, |
                                (STRINGIMAGE |n|) '|,[|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| |dstring| '|], [| |estring|
                                '|], [| |bstring| '|], |))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |ifail|) '|)|))
              (|bcGen| |prefix|))))))
 
@@ -2403,11 +2015,10 @@
 ;  htMakeDoneButton('"Continue", 'f04jgfSolve)
 ;  htShowPage()
 
-(DEFUN |f04jgf| ()
+(defun |f04jgf| ()
   (PROGN
     (|htInitPage|
-        (MAKESTRING
-            "F04JGF - Least-squares (if rank = n) or minimal least-squares (if rank < n) solution of m real equations in n unknowns, rank \\inputbitmap{\\htbmdir{}/less=.bitmap} it n, m \\inputbitmap{\\htbmdir{}/great=.bitmap} n")
+            "F04JGF - Least-squares (if rank = n) or minimal least-squares (if rank < n) solution of m real equations in n unknowns, rank \\inputbitmap{\\htbmdir{}/less=.bitmap} it n, m \\inputbitmap{\\htbmdir{}/great=.bitmap} n"
         NIL)
     (|htMakePage|
         '((|domainConditions| (|isDomain| F (|Float|))
@@ -2447,7 +2058,7 @@
           (|radioButtons| |ifail|
               ("" " -1, Print error messages" |minusOne|)
               ("" "  1, Suppress error messages" |one|))))
-    (|htMakeDoneButton| (MAKESTRING "Continue") '|f04jgfSolve|)
+    (|htMakeDoneButton| "Continue" '|f04jgfSolve|)
     (|htShowPage|)))
 
 ;f04jgfSolve htPage ==
@@ -2506,11 +2117,11 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04jgfSolve,g| (|i| |j|)
+(defun |f04jgfSolve,g| (|i| |j|)
   (PROG (|anam|)
     (RETURN
-      (SEQ (SPADLET |anam|
-                    (INTERN (STRCONC (MAKESTRING "a") (STRINGIMAGE |i|)
+      (SEQ (setq |anam|
+                    (INTERN (STRCONC "a" (STRINGIMAGE |i|)
                                      (STRINGIMAGE |j|))))
            (EXIT (CONS (CONS '|bcStrings|
                              (CONS (CONS 6
@@ -2519,28 +2130,28 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04jgfSolve,f| (|i| |n|)
+(defun |f04jgfSolve,f| (|i| |n|)
   (PROG (|prefix| |labelList|)
     (RETURN
-      (SEQ (SPADLET |labelList|
+      (SEQ (setq |labelList|
                     (PROG (G166860)
-                      (SPADLET G166860 NIL)
+                      (setq G166860 NIL)
                       (RETURN
                         (DO ((|j| 1 (QSADD1 |j|)))
                             ((QSGREATERP |j| |n|) G166860)
                           (SEQ (EXIT (SETQ G166860
                                       (APPEND G166860
                                        (|f04jgfSolve,g| |i| |j|)))))))))
-           (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (EXIT (SPADLET |labelList|
+           (setq |prefix| "\\newline \\tab{2} ")
+           (EXIT (setq |labelList|
                           (CONS (CONS '|text| |prefix|) |labelList|)))))))
 
-(DEFUN |f04jgfSolve,h| (|k|)
+(defun |f04jgfSolve,h| (|k|)
   (PROG (|prefix| |bnam|)
     (RETURN
-      (SEQ (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (SPADLET |bnam|
-                    (INTERN (STRCONC (MAKESTRING "b")
+      (SEQ (setq |prefix| "\\newline \\tab{2} ")
+           (setq |bnam|
+                    (INTERN (STRCONC "b"
                                      (STRINGIMAGE |k|))))
            (EXIT (CONS (CONS '|text| |prefix|)
                        (CONS (CONS '|bcStrings|
@@ -2551,13 +2162,13 @@
                                     NIL))
                              NIL)))))))
 
-(DEFUN |f04jgfSolve| (|htPage|)
+(defun |f04jgfSolve| (|htPage|)
   (PROG (|m| |n| |nra| |lwork| |tol| |error| |ifail| |matList| |start|
              |bmatList| |equationPart| |page|)
   (declare (special |$EmptyMode| |$bcParseOnly|))
     (RETURN
       (SEQ (PROGN
-             (SPADLET |m|
+             (setq |m|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -2565,7 +2176,7 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|m|)))))
-             (SPADLET |n|
+             (setq |n|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -2573,20 +2184,20 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|n|)))))
-             (SPADLET |nra| |m|)
-             (SPADLET |lwork| (TIMES 4 |n|))
-             (SPADLET |tol| (|htpLabelInputString| |htPage| '|tol|))
-             (SPADLET |error| (|htpButtonValue| |htPage| '|ifail|))
-             (SPADLET |ifail|
+             (setq |nra| |m|)
+             (setq |lwork| (TIMES 4 |n|))
+             (setq |tol| (|htpLabelInputString| |htPage| '|tol|))
+             (setq |error| (|htpButtonValue| |htPage| '|ifail|))
+             (setq |ifail|
                       (COND ((BOOT-EQUAL |error| '|one|) '1) ('T '-1)))
              (COND
                ((AND (BOOT-EQUAL |m| '6) (BOOT-EQUAL |n| '4))
                 (|f04jgfDefaultSolve| |htPage| |nra| |lwork| |tol|
                     |ifail|))
                ('T
-                (SPADLET |matList|
+                (setq |matList|
                          (PROG (G166884)
-                           (SPADLET G166884 NIL)
+                           (setq G166884 NIL)
                            (RETURN
                              (DO ((|i| 1 (QSADD1 |i|)))
                                  ((QSGREATERP |i| |m|) G166884)
@@ -2594,9 +2205,9 @@
                                      (SETQ G166884
                                       (APPEND G166884
                                        (|f04jgfSolve,f| |i| |n|)))))))))
-                (SPADLET |bmatList|
+                (setq |bmatList|
                          (PROG (G166892)
-                           (SPADLET G166892 NIL)
+                           (setq G166892 NIL)
                            (RETURN
                              (DO ((|k| 1 (QSADD1 |k|)))
                                  ((QSGREATERP |k| |m|) G166892)
@@ -2604,12 +2215,11 @@
                                      (SETQ G166892
                                       (APPEND G166892
                                        (|f04jgfSolve,h| |k|)))))))))
-                (SPADLET |start|
-                         (MAKESTRING
-           "\\blankline \\menuitemstyle{} \\tab{2} Enter values of {\\it b}:"))
-                (SPADLET |bmatList|
+                (setq |start|
+           "\\blankline \\menuitemstyle{} \\tab{2} Enter values of {\\it b}:")
+                (setq |bmatList|
                          (CONS (CONS '|text| |start|) |bmatList|))
-                (SPADLET |equationPart|
+                (setq |equationPart|
                          (CONS '(|domainConditions|
                                     (|isDomain| P
                                      (|Polynomial| |$EmptyMode|))
@@ -2617,17 +2227,16 @@
                                     (|isDomain| F (|Float|))
                                     (|isDomain| PI (|PositiveInteger|)))
                                (APPEND |matList| |bmatList|)))
-                (SPADLET |page|
+                (setq |page|
                          (|htInitPage|
                              '|F04JGF - Least-squares (if rank = {\\it n}) or minimal least-squares (if rank < {\\it n}) solution of {\\it m} real equations in {\\it n} unknowns, rank \\inputbitmap{\\htbmdir{}/less=.bitmap} {\\it n}, {\\it m} \\inputbitmap{\\htbmdir{}/great=.bitmap} {\\it n}|
                              NIL))
-                (|htSay| (MAKESTRING
-                             "\\newline \\menuitemstyle{}\\tab{2} Enter values of {\\it A}: "))
-                (|htSay| (MAKESTRING "\\newline \\tab{2} "))
+                (|htSay| 
+              "\\newline \\menuitemstyle{}\\tab{2} Enter values of {\\it A}: ")
+                (|htSay| "\\newline \\tab{2} ")
                 (|htMakePage| |equationPart|)
-                (|htSay| (MAKESTRING "\\blankline "))
-                (|htMakeDoneButton| (MAKESTRING "Continue")
-                    '|f04jgfGen|)
+                (|htSay| "\\blankline ")
+                (|htMakeDoneButton| "Continue" '|f04jgfGen|)
                 (|htpSetProperty| |page| '|n| |n|)
                 (|htpSetProperty| |page| '|m| |m|)
                 (|htpSetProperty| |page| '|tol| |tol|)
@@ -2701,16 +2310,16 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04jgfDefaultSolve| (|htPage| |nra| |lwork| |tol| |ifail|)
+(defun |f04jgfDefaultSolve| (|htPage| |nra| |lwork| |tol| |ifail|)
+  (declare (special |nra| |lwork|))
   (PROG (|n| |m| |page|)
     (RETURN
       (PROGN
-        (SPADLET |n| '4)
-        (SPADLET |m| '6)
-        (SPADLET |page|
+        (setq |n| '4)
+        (setq |m| '6)
+        (setq |page|
                  (|htInitPage|
-                     (MAKESTRING
-                         "F04JGF - Least-squares (if rank = n) or minimal least-squares (if rank < n) solution of m real equations in n unknowns, rank \\inputbitmap{\\htbmdir{}/less=.bitmap} n, m \\inputbitmap{\\htbmdir{}/great=.bitmap} n")
+                         "F04JGF - Least-squares (if rank = n) or minimal least-squares (if rank < n) solution of m real equations in n unknowns, rank \\inputbitmap{\\htbmdir{}/less=.bitmap} n, m \\inputbitmap{\\htbmdir{}/great=.bitmap} n"
                      NIL))
         (|htMakePage|
             '((|domainConditions| (|isDomain| F (|Float|))
@@ -2763,7 +2372,7 @@
               (|bcStrings| (6 5 |b5| F))
               (|text| . "\\newline \\tab{2} ")
               (|bcStrings| (6 6 |b6| F))))
-        (|htMakeDoneButton| (MAKESTRING "Continue") '|f04jgfGen|)
+        (|htMakeDoneButton| "Continue" '|f04jgfGen|)
         (|htpSetProperty| |page| '|n| |n|)
         (|htpSetProperty| |page| '|m| |m|)
         (|htpSetProperty| |page| '|tol| |tol|)
@@ -2808,61 +2417,60 @@
 ;  prefix := STRCONC(prefix,STRINGIMAGE ifail,")")
 ;  bcGen prefix
 
-(DEFUN |f04jgfGen| (|htPage|)
+(defun |f04jgfGen| (|htPage|)
   (PROG (|n| |m| |nra| |lwork| |tol| |ifail| |alist| |b| |bList|
              |bstring| |elm| |y| |rowList| NULL |nullList| |matform|
              |matstring| |prefix|)
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n| (|htpProperty| |htPage| '|n|))
-             (SPADLET |m| (|htpProperty| |htPage| '|m|))
-             (SPADLET |nra| |m|)
-             (SPADLET |lwork| (TIMES 4 |n|))
-             (SPADLET |tol| (|htpProperty| |htPage| '|tol|))
-             (SPADLET |ifail| (|htpProperty| |htPage| '|ifail|))
-             (SPADLET |alist| (|htpInputAreaAlist| |htPage|))
-             (SPADLET |y| |alist|)
+             (setq |n| (|htpProperty| |htPage| '|n|))
+             (setq |m| (|htpProperty| |htPage| '|m|))
+             (setq |nra| |m|)
+             (setq |lwork| (TIMES 4 |n|))
+             (setq |tol| (|htpProperty| |htPage| '|tol|))
+             (setq |ifail| (|htpProperty| |htPage| '|ifail|))
+             (setq |alist| (|htpInputAreaAlist| |htPage|))
+             (setq |y| |alist|)
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |m|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |b|
+                            (setq |b|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |bList| (CONS |b| |bList|))
-                            (SPADLET |y| (CDR |y|))))))
-             (SPADLET |bstring| (|bcwords2liststring| |bList|))
-             (SPADLET |y| (REVERSE |y|))
+                            (setq |bList| (CONS |b| |bList|))
+                            (setq |y| (CDR |y|))))))
+             (setq |bstring| (|bcwords2liststring| |bList|))
+             (setq |y| (REVERSE |y|))
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |m|) NIL)
                (SEQ (EXIT (PROGN
                             (DO ((|j| 1 (QSADD1 |j|)))
                                 ((QSGREATERP |j| |n|) NIL)
                               (SEQ (EXIT
                                     (PROGN
-                                      (SPADLET |elm|
+                                      (setq |elm|
                                        (STRCONC (ELT (CAR |y|) 1) '| |))
-                                      (SPADLET |rowList|
+                                      (setq |rowList|
                                        (APPEND |rowList|
                                         (CONS |elm| NIL)))
-                                      (SPADLET |y| (CDR |y|))))))
-                            (SPADLET |matform|
+                                      (setq |y| (CDR |y|))))))
+                            (setq |matform|
                                      (APPEND |matform|
                                       (CONS |rowList| NIL)))
-                            (SPADLET |rowList| NIL)))))
+                            (setq |rowList| NIL)))))
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |n|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET NULL
-                                     (STRCONC (MAKESTRING "0.0") '| |))
-                            (SPADLET |nullList|
+                            (setq NULL (STRCONC "0.0" '| |))
+                            (setq |nullList|
                                      (APPEND |nullList|
                                       (CONS NULL NIL)))))))
              (DO ((G166971 (SPADDIFFERENCE |nra| 1))
                   (|i| |m| (+ |i| 1)))
                  ((> |i| G166971) NIL)
-               (SEQ (EXIT (SPADLET |matform|
+               (SEQ (EXIT (setq |matform|
                                    (APPEND |matform|
                                     (CONS |nullList| NIL))))))
-             (SPADLET |matstring|
+             (setq |matstring|
                       (|bcwords2liststring|
                           (PROG (G166979)
-                            (SPADLET G166979 NIL)
+                            (setq G166979 NIL)
                             (RETURN
                               (DO ((G166984 |matform|
                                     (CDR G166984))
@@ -2876,16 +2484,16 @@
                                       (SETQ G166979
                                        (CONS (|bcwords2liststring| |x|)
                                         G166979)))))))))
-             (SPADLET |prefix|
-                      (STRCONC (MAKESTRING "f04jgf(") (STRINGIMAGE |m|)
+             (setq |prefix|
+                      (STRCONC "f04jgf(" (STRINGIMAGE |m|)
                                '|, | (STRINGIMAGE |n|) '|, |))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |nra|) '|, | |tol|
                                '|, | (STRINGIMAGE |lwork|)))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| '|, | |matstring| '|, [|
                                |bstring| '|], |))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |ifail|) '|)|))
              (|bcGen| |prefix|))))))
 
@@ -2953,7 +2561,7 @@
 ;  htMakeDoneButton('"Continue", 'f04mcfSolve)
 ;  htShowPage()
 
-(DEFUN |f04mcf| ()
+(defun |f04mcf| ()
   (PROGN
     (|htInitPage|
         '|F04MCF - Approximate solution of real symmetric positive-definite variable-bandwidth simultaneous linear equations (coefficient matrix already factorized)|
@@ -3007,7 +2615,7 @@
           (|radioButtons| |ifail|
               ("" " -1, Print error messages" |minusOne|)
               ("" "  1, Suppress error messages" |one|))))
-    (|htMakeDoneButton| (MAKESTRING "Continue") '|f04mcfSolve|)
+    (|htMakeDoneButton| "Continue" '|f04mcfSolve|)
     (|htShowPage|)))
 
 ;f04mcfSolve htPage ==
@@ -3091,12 +2699,11 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04mcfSolve,fal| (|i|)
+(defun |f04mcfSolve,fal| (|i|)
   (PROG (|xnam|)
     (RETURN
-      (SEQ (SPADLET |xnam|
-                    (INTERN (STRCONC (MAKESTRING "x")
-                                     (STRINGIMAGE |i|))))
+      (SEQ (setq |xnam|
+                    (INTERN (STRCONC "x" (STRINGIMAGE |i|))))
            (EXIT (CONS (CONS '|bcStrings|
                              (CONS (CONS 6
                                     (CONS '|0.0|
@@ -3104,12 +2711,11 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04mcfSolve,fd| (|i|)
+(defun |f04mcfSolve,fd| (|i|)
   (PROG (|dnam|)
     (RETURN
-      (SEQ (SPADLET |dnam|
-                    (INTERN (STRCONC (MAKESTRING "d")
-                                     (STRINGIMAGE |i|))))
+      (SEQ (setq |dnam|
+                    (INTERN (STRCONC "d" (STRINGIMAGE |i|))))
            (EXIT (CONS (CONS '|bcStrings|
                              (CONS (CONS 6
                                     (CONS '|0.0|
@@ -3117,12 +2723,11 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04mcfSolve,gj| (|j|)
+(defun |f04mcfSolve,gj| (|j|)
   (PROG (|nam|)
     (RETURN
-      (SEQ (SPADLET |nam|
-                    (INTERN (STRCONC (MAKESTRING "n")
-                                     (STRINGIMAGE |j|))))
+      (SEQ (setq |nam|
+                    (INTERN (STRCONC "n" (STRINGIMAGE |j|))))
            (EXIT (CONS (CONS '|bcStrings|
                              (CONS (CONS 6
                                     (CONS 0
@@ -3130,11 +2735,11 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04mcfSolve,g| (|i| |j|)
+(defun |f04mcfSolve,g| (|i| |j|)
   (PROG (|bnam|)
     (RETURN
-      (SEQ (SPADLET |bnam|
-                    (INTERN (STRCONC (MAKESTRING "b") (STRINGIMAGE |i|)
+      (SEQ (setq |bnam|
+                    (INTERN (STRCONC "b" (STRINGIMAGE |i|)
                                      (STRINGIMAGE |j|))))
            (EXIT (CONS (CONS '|bcStrings|
                              (CONS (CONS 6
@@ -3143,30 +2748,30 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04mcfSolve,f| (|i| |ir|)
+(defun |f04mcfSolve,f| (|i| |ir|)
   (PROG (|prefix| |labelList|)
     (RETURN
-      (SEQ (SPADLET |labelList|
+      (SEQ (setq |labelList|
                     (PROG (G167054)
-                      (SPADLET G167054 NIL)
+                      (setq G167054 NIL)
                       (RETURN
                         (DO ((|j| 1 (QSADD1 |j|)))
                             ((QSGREATERP |j| |ir|) G167054)
                           (SEQ (EXIT (SETQ G167054
                                       (APPEND G167054
                                        (|f04mcfSolve,g| |i| |j|)))))))))
-           (SPADLET |prefix| (MAKESTRING "\\newline "))
-           (EXIT (SPADLET |labelList|
+           (setq |prefix| "\\newline ")
+           (EXIT (setq |labelList|
                           (CONS (CONS '|text| |prefix|) |labelList|)))))))
 
-(DEFUN |f04mcfSolve| (|htPage|)
+(defun |f04mcfSolve| (|htPage|)
   (PROG (|n| |lal| |ir| |nrb| |nrx| |select| |iselct| |error| |ifail|
              |labelList| |dList| |nrowList| |prefix| |bList|
              |equationPart| |page|)
   (declare (special |$EmptyMode| |$bcParseOnly|))
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n|
+             (setq |n|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -3174,7 +2779,7 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|n|)))))
-             (SPADLET |lal|
+             (setq |lal|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -3182,7 +2787,7 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|lal|)))))
-             (SPADLET |ir|
+             (setq |ir|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -3190,10 +2795,10 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|ir|)))))
-             (SPADLET |nrb| |n|)
-             (SPADLET |nrx| |n|)
-             (SPADLET |select| (|htpButtonValue| |htPage| '|iselct|))
-             (SPADLET |iselct|
+             (setq |nrb| |n|)
+             (setq |nrx| |n|)
+             (setq |select| (|htpButtonValue| |htPage| '|iselct|))
+             (setq |iselct|
                       (COND
                         ((BOOT-EQUAL |select| '|selone|) '1)
                         ((BOOT-EQUAL |select| '|seltwo|) '2)
@@ -3201,17 +2806,17 @@
                         ((BOOT-EQUAL |select| '|selfour|) '4)
                         ((BOOT-EQUAL |select| '|selfive|) '5)
                         ('T '6)))
-             (SPADLET |error| (|htpButtonValue| |htPage| '|ifail|))
-             (SPADLET |ifail|
+             (setq |error| (|htpButtonValue| |htPage| '|ifail|))
+             (setq |ifail|
                       (COND ((BOOT-EQUAL |error| '|one|) '1) ('T '-1)))
              (COND
                ((AND (BOOT-EQUAL |n| '6) (BOOT-EQUAL |lal| '14)
                      (BOOT-EQUAL |ir| '2))
                 (|f04mcfDefaultSolve| |htPage| |iselct| |ifail|))
                ('T
-                (SPADLET |labelList|
+                (setq |labelList|
                          (PROG (G167071)
-                           (SPADLET G167071 NIL)
+                           (setq G167071 NIL)
                            (RETURN
                              (DO ((|i| 1 (QSADD1 |i|)))
                                  ((QSGREATERP |i| |lal|) G167071)
@@ -3219,9 +2824,9 @@
                                      (SETQ G167071
                                       (APPEND G167071
                                        (|f04mcfSolve,fal| |i|)))))))))
-                (SPADLET |dList|
+                (setq |dList|
                          (PROG (G167079)
-                           (SPADLET G167079 NIL)
+                           (setq G167079 NIL)
                            (RETURN
                              (DO ((|i| 1 (QSADD1 |i|)))
                                  ((QSGREATERP |i| |n|) G167079)
@@ -3229,17 +2834,16 @@
                                      (SETQ G167079
                                       (APPEND G167079
                                        (|f04mcfSolve,fd| |i|)))))))))
-                (SPADLET |prefix|
-                         (MAKESTRING
-                             "\\blankline \\menuitemstyle{}\\tab{2} Diagonal elements of diagon"))
-                (SPADLET |prefix|
+                (setq |prefix|
+           "\\blankline \\menuitemstyle{}\\tab{2} Diagonal elements of diagon")
+                (setq |prefix|
                          (STRCONC |prefix|
-                                  '|al matrix D as returned by F01MCF: \\newline|))
-                (SPADLET |dList|
+                              '|al matrix D as returned by F01MCF: \\newline|))
+                (setq |dList|
                          (CONS (CONS '|text| |prefix|) |dList|))
-                (SPADLET |nrowList|
+                (setq |nrowList|
                          (PROG (G167087)
-                           (SPADLET G167087 NIL)
+                           (setq G167087 NIL)
                            (RETURN
                              (DO ((|j| 1 (QSADD1 |j|)))
                                  ((QSGREATERP |j| |n|) G167087)
@@ -3247,17 +2851,16 @@
                                      (SETQ G167087
                                       (APPEND G167087
                                        (|f04mcfSolve,gj| |j|)))))))))
-                (SPADLET |prefix|
-                         (MAKESTRING
-                             "\\blankline \\menuitemstyle{}\\tab{2} {\\it NROW(n)} the width "))
-                (SPADLET |prefix|
+                (setq |prefix|
+                             "\\blankline \\menuitemstyle{}\\tab{2} {\\it NROW(n)} the width ")
+                (setq |prefix|
                          (STRCONC |prefix|
                                   '|of the ith row of A: \\newline |))
-                (SPADLET |nrowList|
+                (setq |nrowList|
                          (CONS (CONS '|text| |prefix|) |nrowList|))
-                (SPADLET |bList|
+                (setq |bList|
                          (PROG (G167095)
-                           (SPADLET G167095 NIL)
+                           (setq G167095 NIL)
                            (RETURN
                              (DO ((|i| 1 (QSADD1 |i|)))
                                  ((QSGREATERP |i| |nrb|) G167095)
@@ -3265,14 +2868,13 @@
                                      (SETQ G167095
                                       (APPEND G167095
                                        (|f04mcfSolve,f| |i| |ir|)))))))))
-                (SPADLET |prefix|
-                         (MAKESTRING
-          "\\blankline \\menuitemstyle{}\\tab{2} The n by r right-hand side "))
-                (SPADLET |prefix|
+                (setq |prefix|
+          "\\blankline \\menuitemstyle{}\\tab{2} The n by r right-hand side ")
+                (setq |prefix|
                          (STRCONC |prefix| '|matrix B: \\newline |))
-                (SPADLET |bList|
+                (setq |bList|
                          (CONS (CONS '|text| |prefix|) |bList|))
-                (SPADLET |equationPart|
+                (setq |equationPart|
                          (CONS '(|domainConditions|
                                     (|isDomain| P
                                      (|Polynomial| |$EmptyMode|))
@@ -3282,18 +2884,15 @@
                                (APPEND |labelList|
                                        (APPEND |dList|
                                         (APPEND |nrowList| |bList|)))))
-                (SPADLET |page|
+                (setq |page|
                          (|htInitPage|
                              '|F04MCF - Approximate solution of real symmetric positive-definite variable-bandwidth simultaneous linear equations (coefficient matrix already factorized)|
                              NIL))
-                (|htSay| (MAKESTRING
-                             "\\menuitemstyle{}\\tab{2} Elements of matrix {\\it AL} in row by row "))
-                (|htSay| (MAKESTRING
-                             "order as returned by F01MCF: \\newline "))
+                (|htSay| "\\menuitemstyle{}\\tab{2} Elements of matrix {\\it AL} in row by row ")
+                (|htSay| "order as returned by F01MCF: \\newline ")
                 (|htMakePage| |equationPart|)
-                (|htSay| (MAKESTRING "\\blankline "))
-                (|htMakeDoneButton| (MAKESTRING "Continue")
-                    '|f04mcfGen|)
+                (|htSay| "\\blankline ")
+                (|htMakeDoneButton| "Continue" '|f04mcfGen|)
                 (|htpSetProperty| |page| '|n| |n|)
                 (|htpSetProperty| |page| '|lal| |lal|)
                 (|htpSetProperty| |page| '|ir| |ir|)
@@ -3390,16 +2989,16 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04mcfDefaultSolve| (|htPage| |iselct| |ifail|)
+(defun |f04mcfDefaultSolve| (|htPage| |iselct| |ifail|)
   (PROG (|n| |lal| |ir| |nrb| |nrx| |page|)
     (RETURN
       (PROGN
-        (SPADLET |n| '6)
-        (SPADLET |lal| '14)
-        (SPADLET |ir| '2)
-        (SPADLET |nrb| '6)
-        (SPADLET |nrx| '6)
-        (SPADLET |page|
+        (setq |n| '6)
+        (setq |lal| '14)
+        (setq |ir| '2)
+        (setq |nrb| '6)
+        (setq |nrx| '6)
+        (setq |page|
                  (|htInitPage|
                      '|F04MCF - Approximate solution of real symmetric positive-definite variable-bandwidth simultaneous linear equations (coefficient matrix already factorized)|
                      NIL))
@@ -3435,14 +3034,14 @@
               (|bcStrings| (6 "1.0" |d5| F))
               (|bcStrings| (6 "16.0" |d6| F)) (|text| . "\\blankline ")
               (|text|
-               . "\\menuitemstyle{}\\tab{2} {\\it NROW(n)} the width of the ith row ")
+        . "\\menuitemstyle{}\\tab{2} {\\it NROW(n)} the width of the ith row ")
               (|text| . "of A: ") (|text| . "\\newline ")
               (|bcStrings| (6 1 |n1| PI)) (|bcStrings| (6 2 |n2| PI))
               (|bcStrings| (6 2 |n3| PI)) (|bcStrings| (6 1 |n4| PI))
               (|bcStrings| (6 5 |n5| PI)) (|bcStrings| (6 3 |n6| PI))
               (|text| . "\\blankline ")
               (|text|
-               . "\\menuitemstyle{}\\tab{2} The n by r right-hand side matrix B:")
+           . "\\menuitemstyle{}\\tab{2} The n by r right-hand side matrix B:")
               (|text| . "\\newline ") (|bcStrings| (6 "6" |b11| F))
               (|text| . "\\tab{10} ") (|bcStrings| (6 "-10" |b12| PI))
               (|text| . "\\newline ") (|bcStrings| (6 "15" |b21| F))
@@ -3456,7 +3055,7 @@
               (|text| . "\\newline ") (|bcStrings| (6 "46" |b61| F))
               (|text| . "\\tab{10} ") (|bcStrings| (6 "67" |b62| PI))
               (|text| . "\\blankline ")))
-        (|htMakeDoneButton| (MAKESTRING "Continue") '|f04mcfGen|)
+        (|htMakeDoneButton| "Continue" '|f04mcfGen|)
         (|htpSetProperty| |page| '|n| |n|)
         (|htpSetProperty| |page| '|lal| |lal|)
         (|htpSetProperty| |page| '|ir| |ir|)
@@ -3509,41 +3108,41 @@
 ;  prefix := STRCONC(prefix,", ",STRINGIMAGE iselct,", ",STRINGIMAGE nrx,", ")
 ;  bcGen STRCONC(prefix,STRINGIMAGE ifail,")")
 
-(DEFUN |f04mcfGen| (|htPage|)
+(defun |f04mcfGen| (|htPage|)
   (PROG (|n| |lal| |ir| |nrb| |nrx| |iselct| |ifail| |alist| |elm|
              |matform| |rowList| |matfrom| |matstring| |nrowList|
              |nrowstring| |dList| |dstring| |right| |y| |alList|
              |alstring| |prefix|)
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n| (|htpProperty| |htPage| '|n|))
-             (SPADLET |lal| (|htpProperty| |htPage| '|lal|))
-             (SPADLET |ir| (|htpProperty| |htPage| '|ir|))
-             (SPADLET |nrb| |n|)
-             (SPADLET |nrx| |n|)
-             (SPADLET |iselct| (|htpProperty| |htPage| '|iselct|))
-             (SPADLET |ifail| (|htpProperty| |htPage| '|ifail|))
-             (SPADLET |alist| (|htpInputAreaAlist| |htPage|))
-             (SPADLET |y| |alist|)
+             (setq |n| (|htpProperty| |htPage| '|n|))
+             (setq |lal| (|htpProperty| |htPage| '|lal|))
+             (setq |ir| (|htpProperty| |htPage| '|ir|))
+             (setq |nrb| |n|)
+             (setq |nrx| |n|)
+             (setq |iselct| (|htpProperty| |htPage| '|iselct|))
+             (setq |ifail| (|htpProperty| |htPage| '|ifail|))
+             (setq |alist| (|htpInputAreaAlist| |htPage|))
+             (setq |y| |alist|)
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |nrb|) NIL)
                (SEQ (EXIT (PROGN
                             (DO ((|j| 1 (QSADD1 |j|)))
                                 ((QSGREATERP |j| |ir|) NIL)
                               (SEQ (EXIT
                                     (PROGN
-                                      (SPADLET |elm|
+                                      (setq |elm|
                                        (STRCONC (ELT (CAR |y|) 1) '| |))
-                                      (SPADLET |rowList|
+                                      (setq |rowList|
                                        (CONS |elm| |rowList|))
-                                      (SPADLET |y| (CDR |y|))))))
-                            (SPADLET |matform|
+                                      (setq |y| (CDR |y|))))))
+                            (setq |matform|
                                      (CONS |rowList| |matform|))
-                            (SPADLET |rowList| NIL)))))
-             (SPADLET |matfrom| (REVERSE |matform|))
-             (SPADLET |matstring|
+                            (setq |rowList| NIL)))))
+             (setq |matfrom| (REVERSE |matform|))
+             (setq |matstring|
                       (|bcwords2liststring|
                           (PROG (G167175)
-                            (SPADLET G167175 NIL)
+                            (setq G167175 NIL)
                             (RETURN
                               (DO ((G167180 |matform|
                                     (CDR G167180))
@@ -3559,38 +3158,38 @@
                                         G167175)))))))))
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |n|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |right|
+                            (setq |right|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |y| (CDR |y|))
-                            (SPADLET |nrowList|
+                            (setq |y| (CDR |y|))
+                            (setq |nrowList|
                                      (CONS |right| |nrowList|))))))
-             (SPADLET |nrowstring| (|bcwords2liststring| |nrowList|))
+             (setq |nrowstring| (|bcwords2liststring| |nrowList|))
              (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |n|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |right|
+                            (setq |right|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |y| (CDR |y|))
-                            (SPADLET |dList| (CONS |right| |dList|))))))
-             (SPADLET |dstring| (|bcwords2liststring| |dList|))
+                            (setq |y| (CDR |y|))
+                            (setq |dList| (CONS |right| |dList|))))))
+             (setq |dstring| (|bcwords2liststring| |dList|))
              (DO () ((NULL |y|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |right|
+                            (setq |right|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |y| (CDR |y|))
-                            (SPADLET |alList| (CONS |right| |alList|))))))
-             (SPADLET |alstring| (|bcwords2liststring| |alList|))
-             (SPADLET |prefix|
-                      (STRCONC (MAKESTRING "f04mcf(") (STRINGIMAGE |n|)
+                            (setq |y| (CDR |y|))
+                            (setq |alList| (CONS |right| |alList|))))))
+             (setq |alstring| (|bcwords2liststring| |alList|))
+             (setq |prefix|
+                      (STRCONC "f04mcf(" (STRINGIMAGE |n|)
                                '|, [| |alstring| '|], |))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |lal|) '|, [|
                                |dstring| '|],[| |nrowstring|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| '|]::Matrix Integer,|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |ir|) '|, |
                                |matstring| '|, | (STRINGIMAGE |nrb|)))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| '|, | (STRINGIMAGE |iselct|)
                                '|, | (STRINGIMAGE |nrx|) '|, |))
              (|bcGen| (STRCONC |prefix| (STRINGIMAGE |ifail|) '|)|)))))))
@@ -3620,12 +3219,11 @@
 ;    (text . "\spadcommand{)read f04axf \bound{s0}} "))
 ;  htShowPage()
 
-(DEFUN |f04axf| ()
+(defun |f04axf| ()
   (declare (special |$EmptyMode|))
   (PROGN
     (|htInitPage|
-        (MAKESTRING
-            "F04AXF - Approximate solution of a a set of real sparse linear equations after factorization by F01BRF or by F01BSF")
+            "F04AXF - Approximate solution of a a set of real sparse linear equations after factorization by F01BRF or by F01BSF"
         NIL)
     (|htMakePage|
         '((|domainConditions| (|isDomain| EM |$EmptyMode|)
@@ -3677,12 +3275,11 @@
 ;    (text . "\spadcommand{)read f04maf \bound{s0}} "))
 ;  htShowPage()
 
-(DEFUN |f04maf| ()
+(defun |f04maf| ()
   (declare (special |$EmptyMode|))
   (PROGN
     (|htInitPage|
-        (MAKESTRING
-            "F04MAF - Solution of a real sparse symmetric positive-definite system of linear equations after factorization by F01MAF")
+            "F04MAF - Solution of a real sparse symmetric positive-definite system of linear equations after factorization by F01MAF"
         NIL)
     (|htMakePage|
         '((|domainConditions| (|isDomain| EM |$EmptyMode|)
@@ -3774,12 +3371,11 @@
 ;  htMakeDoneButton('"Continue", 'f04mbfSolve)
 ;  htShowPage()
 
-(DEFUN |f04mbf| ()
+(defun |f04mbf| ()
   (declare (special |$EmptyMode|))
   (PROGN
     (|htInitPage|
-        (MAKESTRING
-            "F04MBF - Real sparse symmetric simultaneous linear equations")
+            "F04MBF - Real sparse symmetric simultaneous linear equations"
         NIL)
     (|htMakePage|
         '((|domainConditions| (|isDomain| EM |$EmptyMode|)
@@ -3826,7 +3422,7 @@
           (|text| . "\\blankline") (|text| . "\\newline ")
           (|text| . "\\menuitemstyle{}\\tab{2} ")
           (|text|
-           . "Enter an upper limit for the number of iterations, {\\it itnlim}: ")
+        . "Enter an upper limit for the number of iterations, {\\it itnlim}: ")
           (|text| . "\\newline \\tab{2} ")
           (|bcStrings| (10 100 |itnlim| PI)) (|text| . "\\blankline")
           (|text| . "\\newline ")
@@ -3840,7 +3436,7 @@
           (|radioButtons| |ifail|
               ("" " -1, Print error messages" |minusOne|)
               ("" "  1, Suppress error messages" |one|))))
-    (|htMakeDoneButton| (MAKESTRING "Continue") '|f04mbfSolve|)
+    (|htMakeDoneButton| "Continue" '|f04mbfSolve|)
     (|htShowPage|)))
 
 ;f04mbfSolve htPage ==
@@ -3913,11 +3509,11 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04mbfSolve,f| (|i|)
+(defun |f04mbfSolve,f| (|i|)
   (PROG (|bnam|)
     (RETURN
-      (SEQ (SPADLET |bnam|
-                    (INTERN (STRCONC (MAKESTRING "b")
+      (SEQ (setq |bnam|
+                    (INTERN (STRCONC "b"
                                      (STRINGIMAGE |i|))))
            (EXIT (CONS (CONS '|bcStrings|
                              (CONS (CONS 6
@@ -3926,11 +3522,11 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04mbfSolve,k| (|ia| |ja|)
+(defun |f04mbfSolve,k| (|ia| |ja|)
   (PROG (|anam|)
     (RETURN
-      (SEQ (SPADLET |anam|
-                    (INTERN (STRCONC (MAKESTRING "a")
+      (SEQ (setq |anam|
+                    (INTERN (STRCONC "a"
                                      (STRINGIMAGE |ia|)
                                      (STRINGIMAGE |ja|))))
            (EXIT (CONS (CONS '|bcStrings|
@@ -3940,27 +3536,27 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04mbfSolve,h| (|ia| |n|)
+(defun |f04mbfSolve,h| (|ia| |n|)
   (PROG (|prefix| |alabelList|)
     (RETURN
-      (SEQ (SPADLET |alabelList|
+      (SEQ (setq |alabelList|
                     (PROG (G167280)
-                      (SPADLET G167280 NIL)
+                      (setq G167280 NIL)
                       (RETURN
                         (DO ((|ja| 1 (QSADD1 |ja|)))
                             ((QSGREATERP |ja| |n|) G167280)
                           (SEQ (EXIT (SETQ G167280
                                       (APPEND G167280
                                        (|f04mbfSolve,k| |ia| |ja|)))))))))
-           (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (EXIT (SPADLET |alabelList|
+           (setq |prefix| "\\newline \\tab{2} ")
+           (EXIT (setq |alabelList|
                           (CONS (CONS '|text| |prefix|) |alabelList|)))))))
 
-(DEFUN |f04mbfSolve,o| (|im| |jm|)
+(defun |f04mbfSolve,o| (|im| |jm|)
   (PROG (|mnam|)
     (RETURN
-      (SEQ (SPADLET |mnam|
-                    (INTERN (STRCONC (MAKESTRING "m")
+      (SEQ (setq |mnam|
+                    (INTERN (STRCONC "m"
                                      (STRINGIMAGE |im|)
                                      (STRINGIMAGE |jm|))))
            (EXIT (CONS (CONS '|bcStrings|
@@ -3970,30 +3566,30 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04mbfSolve,l| (|im| |n|)
+(defun |f04mbfSolve,l| (|im| |n|)
   (PROG (|prefix| |mlabelList|)
     (RETURN
-      (SEQ (SPADLET |mlabelList|
+      (SEQ (setq |mlabelList|
                     (PROG (G167303)
-                      (SPADLET G167303 NIL)
+                      (setq G167303 NIL)
                       (RETURN
                         (DO ((|jm| 1 (QSADD1 |jm|)))
                             ((QSGREATERP |jm| |n|) G167303)
                           (SEQ (EXIT (SETQ G167303
                                       (APPEND G167303
                                        (|f04mbfSolve,o| |im| |jm|)))))))))
-           (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (EXIT (SPADLET |mlabelList|
+           (setq |prefix| "\\newline \\tab{2} ")
+           (EXIT (setq |mlabelList|
                           (CONS (CONS '|text| |prefix|) |mlabelList|)))))))
 
-(DEFUN |f04mbfSolve| (|htPage|)
+(defun |f04mbfSolve| (|htPage|)
   (PROG (|n| |msolve| |precon| |shift| |rtol| |itnlim| |msglvl| |error|
              |ifail| |bmatList| |amatList| |alabelList| |start|
              |mmatList| |equationPart| |page|)
   (declare (special |$EmptyMode| |$bcParseOnly|))
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n|
+             (setq |n|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -4001,15 +3597,15 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|n|)))))
-             (SPADLET |msolve| (|htpButtonValue| |htPage| '|precon|))
-             (SPADLET |precon|
+             (setq |msolve| (|htpButtonValue| |htPage| '|precon|))
+             (setq |precon|
                       (COND
                         ((BOOT-EQUAL |msolve| '|true|) '|true|)
                         ('T '|false|)))
-             (SPADLET |shift|
+             (setq |shift|
                       (|htpLabelInputString| |htPage| '|shift|))
-             (SPADLET |rtol| (|htpLabelInputString| |htPage| '|rtol|))
-             (SPADLET |itnlim|
+             (setq |rtol| (|htpLabelInputString| |htPage| '|rtol|))
+             (setq |itnlim|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -4018,7 +3614,7 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|itnlim|)))))
-             (SPADLET |msglvl|
+             (setq |msglvl|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -4027,8 +3623,8 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|msglvl|)))))
-             (SPADLET |error| (|htpButtonValue| |htPage| '|ifail|))
-             (SPADLET |ifail|
+             (setq |error| (|htpButtonValue| |htPage| '|ifail|))
+             (setq |ifail|
                       (COND ((BOOT-EQUAL |error| '|one|) '1) ('T '-1)))
              (COND
                ((AND (BOOT-EQUAL |n| '10)
@@ -4036,9 +3632,9 @@
                 (|f04mbfDefaultSolve| |htPage| |shift| |rtol| |itnlim|
                     |msglvl| |ifail|))
                ('T
-                (SPADLET |bmatList|
+                (setq |bmatList|
                          (PROG (G167322)
-                           (SPADLET G167322 NIL)
+                           (setq G167322 NIL)
                            (RETURN
                              (DO ((|i| 1 (QSADD1 |i|)))
                                  ((QSGREATERP |i| |n|) G167322)
@@ -4046,9 +3642,9 @@
                                      (SETQ G167322
                                       (APPEND G167322
                                        (|f04mbfSolve,f| |i|)))))))))
-                (SPADLET |amatList|
+                (setq |amatList|
                          (PROG (G167330)
-                           (SPADLET G167330 NIL)
+                           (setq G167330 NIL)
                            (RETURN
                              (DO ((|ia| 1 (QSADD1 |ia|)))
                                  ((QSGREATERP |ia| |n|) G167330)
@@ -4056,17 +3652,16 @@
                                      (SETQ G167330
                                       (APPEND G167330
                                        (|f04mbfSolve,h| |ia| |n|)))))))))
-                (SPADLET |start|
-                         (MAKESTRING
-                             "\\blankline \\menuitemstyle{}\\tab{2} Enter the matrix {\\it A}: "))
-                (SPADLET |amatList|
+                (setq |start|
+           "\\blankline \\menuitemstyle{}\\tab{2} Enter the matrix {\\it A}: ")
+                (setq |amatList|
                          (CONS (CONS '|text| |start|) |amatList|))
-                (SPADLET |mmatList|
+                (setq |mmatList|
                          (COND
                            ((BOOT-EQUAL |precon| '|true|)
-                            (SPADLET |alabelList|
+                            (setq |alabelList|
                                      (PROG (G167338)
-                                       (SPADLET G167338 NIL)
+                                       (setq G167338 NIL)
                                        (RETURN
                                          (DO ((|im| 1 (QSADD1 |im|)))
                                           ((QSGREATERP |im| |n|)
@@ -4077,30 +3672,27 @@
                                               (APPEND G167338
                                                (|f04mbfSolve,l| |im|
                                                 |n|)))))))))
-                            (SPADLET |start|
-                                     (MAKESTRING
-          "\\blankline \\menuitemstyle{}\\tab{2} Enter the matrix {\\it m}: "))
+                            (setq |start|
+          "\\blankline \\menuitemstyle{}\\tab{2} Enter the matrix {\\it m}: ")
                             (CONS (CONS '|text| |start|) |alabelList|))
                            ('T NIL)))
-                (SPADLET |equationPart|
+                (setq |equationPart|
                          (CONS '(|domainConditions|
                                     (|isDomain| P
                                      (|Polynomial| |$EmptyMode|))
                                     (|isDomain| F (|Float|)))
                                (APPEND |bmatList|
                                        (APPEND |amatList| |mmatList|))))
-                (SPADLET |page|
+                (setq |page|
                          (|htInitPage|
-                             (MAKESTRING
-                "F04MBF - Real sparse symmetric simultaneous linear equations")
+                "F04MBF - Real sparse symmetric simultaneous linear equations"
                              NIL))
-                (|htSay| (MAKESTRING
-                             "\\newline \\menuitemstyle{}\\tab{2} "))
-        (|htSay| (MAKESTRING "Enter the right-hand side vector {\\it b(n)}: "))
-                (|htSay| (MAKESTRING "\\newline \\tab{2} "))
+                (|htSay| "\\newline \\menuitemstyle{}\\tab{2} ")
+                (|htSay| "Enter the right-hand side vector {\\it b(n)}: ")
+                (|htSay| "\\newline \\tab{2} ")
                 (|htMakePage| |equationPart|)
-                (|htSay| (MAKESTRING "\\blankline "))
-                (|htMakeDoneButton| (MAKESTRING "Continue")
+                (|htSay| "\\blankline ")
+                (|htMakeDoneButton| "Continue"
                     '|f04mbfGen|)
                 (|htpSetProperty| |page| '|n| |n|)
                 (|htpSetProperty| |page| '|precon| |precon|)
@@ -4374,17 +3966,16 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04mbfDefaultSolve|
+(defun |f04mbfDefaultSolve|
        (|htPage| |shift| |rtol| |itnlim| |msglvl| |ifail|)
   (PROG (|n| |precon| |page|)
     (RETURN
       (PROGN
-        (SPADLET |n| '10)
-        (SPADLET |precon| '|true|)
-        (SPADLET |page|
+        (setq |n| '10)
+        (setq |precon| '|true|)
+        (setq |page|
                  (|htInitPage|
-                     (MAKESTRING
-                         "F04MBF - Real sparse symmetric simultaneous linear equations")
+                         "F04MBF - Real sparse symmetric simultaneous linear equations"
                      NIL))
         (|htMakePage|
             '((|domainConditions| (|isDomain| F (|Float|)))
@@ -4630,7 +4221,7 @@
               (|bcStrings| (6 "1.0" |m109| F))
               (|bcStrings| (6 "2.0" |m1010| F))
               (|text| . "\\blankline ")))
-        (|htMakeDoneButton| (MAKESTRING "Continue") '|f04mbfGen|)
+        (|htMakeDoneButton| "Continue" '|f04mbfGen|)
         (|htpSetProperty| |page| '|n| |n|)
         (|htpSetProperty| |page| '|precon| |precon|)
         (|htpSetProperty| |page| '|shift| |shift|)
@@ -4686,24 +4277,24 @@
 ;  prefix := STRCONC(prefix,mstring,"::Matrix MachineFloat)::ASP34(MSOLVE)))")
 ;  linkGen prefix
 
-(DEFUN |f04mbfGen| (|htPage|)
+(defun |f04mbfGen| (|htPage|)
   (PROG (|n| |precon| |shift| |rtol| |itnlim| |msglvl| |ifail| |lrwork|
              |liwork| |alist| |melm| |matm| |mrowlist| |aelm| |mata|
              |arowlist| |astring| |belm| |blist| |y| |bstring|
              |mstring| |prefix|)
     (RETURN
       (SEQ (PROGN
-             (SPADLET |n| (|htpProperty| |htPage| '|n|))
-             (SPADLET |precon| (|htpProperty| |htPage| '|precon|))
-             (SPADLET |shift| (|htpProperty| |htPage| '|shift|))
-             (SPADLET |rtol| (|htpProperty| |htPage| '|rtol|))
-             (SPADLET |itnlim| (|htpProperty| |htPage| '|itnlim|))
-             (SPADLET |msglvl| (|htpProperty| |htPage| '|msglvl|))
-             (SPADLET |ifail| (|htpProperty| |htPage| '|ifail|))
-             (SPADLET |lrwork| '1)
-             (SPADLET |liwork| '1)
-             (SPADLET |alist| (|htpInputAreaAlist| |htPage|))
-             (SPADLET |y| |alist|)
+             (setq |n| (|htpProperty| |htPage| '|n|))
+             (setq |precon| (|htpProperty| |htPage| '|precon|))
+             (setq |shift| (|htpProperty| |htPage| '|shift|))
+             (setq |rtol| (|htpProperty| |htPage| '|rtol|))
+             (setq |itnlim| (|htpProperty| |htPage| '|itnlim|))
+             (setq |msglvl| (|htpProperty| |htPage| '|msglvl|))
+             (setq |ifail| (|htpProperty| |htPage| '|ifail|))
+             (setq |lrwork| '1)
+             (setq |liwork| '1)
+             (setq |alist| (|htpInputAreaAlist| |htPage|))
+             (setq |y| |alist|)
              (COND
                ((BOOT-EQUAL |precon| '|true|)
                 (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |n|) NIL)
@@ -4712,19 +4303,19 @@
                                    ((QSGREATERP |j| |n|) NIL)
                                  (SEQ (EXIT
                                        (PROGN
-                                         (SPADLET |melm|
+                                         (setq |melm|
                                           (STRCONC (ELT (CAR |y|) 1)
                                            '| |))
-                                         (SPADLET |mrowlist|
+                                         (setq |mrowlist|
                                           (CONS |melm| |mrowlist|))
-                                         (SPADLET |y| (CDR |y|))))))
-                               (SPADLET |matm|
+                                         (setq |y| (CDR |y|))))))
+                               (setq |matm|
                                         (CONS |mrowlist| |matm|))
-                               (SPADLET |mrowlist| NIL)))))
-                (SPADLET |mstring|
+                               (setq |mrowlist| NIL)))))
+                (setq |mstring|
                          (|bcwords2liststring|
                              (PROG (G167409)
-                               (SPADLET G167409 NIL)
+                               (setq G167409 NIL)
                                (RETURN
                                  (DO ((G167414 |matm|
                                        (CDR G167414))
@@ -4745,17 +4336,17 @@
                                 ((QSGREATERP |l| |n|) NIL)
                               (SEQ (EXIT
                                     (PROGN
-                                      (SPADLET |aelm|
+                                      (setq |aelm|
                                        (STRCONC (ELT (CAR |y|) 1) '| |))
-                                      (SPADLET |arowlist|
+                                      (setq |arowlist|
                                        (CONS |aelm| |arowlist|))
-                                      (SPADLET |y| (CDR |y|))))))
-                            (SPADLET |mata| (CONS |arowlist| |mata|))
-                            (SPADLET |arowlist| NIL)))))
-             (SPADLET |astring|
+                                      (setq |y| (CDR |y|))))))
+                            (setq |mata| (CONS |arowlist| |mata|))
+                            (setq |arowlist| NIL)))))
+             (setq |astring|
                       (|bcwords2liststring|
                           (PROG (G167445)
-                            (SPADLET G167445 NIL)
+                            (setq G167445 NIL)
                             (RETURN
                               (DO ((G167450 |mata| (CDR G167450))
                                    (|y| NIL))
@@ -4770,32 +4361,32 @@
                                         G167445)))))))))
              (DO ((|z| 1 (QSADD1 |z|))) ((QSGREATERP |z| |n|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |belm|
+                            (setq |belm|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |blist| (CONS |belm| |blist|))
-                            (SPADLET |y| (CDR |y|))))))
-             (SPADLET |bstring| (|bcwords2liststring| |blist|))
+                            (setq |blist| (CONS |belm| |blist|))
+                            (setq |y| (CDR |y|))))))
+             (setq |bstring| (|bcwords2liststring| |blist|))
              (COND
                ((BOOT-EQUAL |precon| '|false|)
-                (SPADLET |mstring| |astring|)))
-             (SPADLET |prefix|
-                      (STRCONC (MAKESTRING "f04mbf(") (STRINGIMAGE |n|)
+                (setq |mstring| |astring|)))
+             (setq |prefix|
+                      (STRCONC "f04mbf(" (STRINGIMAGE |n|)
                                '|,[| |bstring|
                                '|]::Matrix DoubleFloat,| |precon| '|,|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |shift|) '|,|
                                (STRINGIMAGE |itnlim|) '|,|
                                (STRINGIMAGE |msglvl|) '|,|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |lrwork|) '|,|
                                (STRINGIMAGE |liwork|) '|,|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |rtol|) '|,|
                                (STRINGIMAGE |ifail|) '|,((|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| |astring|
                                '|::Matrix MachineFloat)::ASP28(APROD)),((|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| |mstring|
                                '|::Matrix MachineFloat)::ASP34(MSOLVE)))|))
              (|linkGen| |prefix|))))))
@@ -4919,11 +4510,10 @@
 ;  htMakeDoneButton('"Continue", 'f04qafSolve)
 ;  htShowPage()
 
-(DEFUN |f04qaf| ()
+(defun |f04qaf| ()
   (PROGN
     (|htInitPage|
-        (MAKESTRING
-            "F04QAF - Solution of sparse unsymmetric equations, linear and damped least-squares problems using a Lanczos algorithm")
+            "F04QAF - Solution of sparse unsymmetric equations, linear and damped least-squares problems using a Lanczos algorithm"
         NIL)
     (|htMakePage|
         '((|domainConditions| (|isDomain| EM |$EmptyMode|)
@@ -5002,7 +4592,7 @@
           (|radioButtons| |ifail|
               ("" " -1, Print error messages" |minusOne|)
               ("" "  1, Suppress error messages" |one|))))
-    (|htMakeDoneButton| (MAKESTRING "Continue") '|f04qafSolve|)
+    (|htMakeDoneButton| "Continue" '|f04qafSolve|)
     (|htShowPage|)))
 
 ;f04qafSolve htPage ==
@@ -5063,12 +4653,11 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04qafSolve,f| (|i|)
+(defun |f04qafSolve,f| (|i|)
   (PROG (|bnam|)
     (RETURN
-      (SEQ (SPADLET |bnam|
-                    (INTERN (STRCONC (MAKESTRING "b")
-                                     (STRINGIMAGE |i|))))
+      (SEQ (setq |bnam|
+                    (INTERN (STRCONC "b" (STRINGIMAGE |i|))))
            (EXIT (CONS (CONS '|bcStrings|
                              (CONS (CONS 6
                                     (CONS '|0.0|
@@ -5076,11 +4665,11 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04qafSolve,k| (|ia| |ja|)
+(defun |f04qafSolve,k| (|ia| |ja|)
   (PROG (|anam|)
     (RETURN
-      (SEQ (SPADLET |anam|
-                    (INTERN (STRCONC (MAKESTRING "a")
+      (SEQ (setq |anam|
+                    (INTERN (STRCONC "a"
                                      (STRINGIMAGE |ia|)
                                      (STRINGIMAGE |ja|))))
            (EXIT (CONS (CONS '|bcStrings|
@@ -5090,29 +4679,29 @@
                                    NIL))
                        NIL))))))
 
-(DEFUN |f04qafSolve,h| (|ia| |n|)
+(defun |f04qafSolve,h| (|ia| |n|)
   (PROG (|prefix| |alabelList|)
     (RETURN
-      (SEQ (SPADLET |alabelList|
+      (SEQ (setq |alabelList|
                     (PROG (G167526)
-                      (SPADLET G167526 NIL)
+                      (setq G167526 NIL)
                       (RETURN
                         (DO ((|ja| 1 (QSADD1 |ja|)))
                             ((QSGREATERP |ja| |n|) G167526)
                           (SEQ (EXIT (SETQ G167526
                                       (APPEND G167526
                                        (|f04qafSolve,k| |ia| |ja|)))))))))
-           (SPADLET |prefix| (MAKESTRING "\\newline \\tab{2} "))
-           (EXIT (SPADLET |alabelList|
+           (setq |prefix| "\\newline \\tab{2} ")
+           (EXIT (setq |alabelList|
                           (CONS (CONS '|text| |prefix|) |alabelList|)))))))
 
-(DEFUN |f04qafSolve| (|htPage|)
+(defun |f04qafSolve| (|htPage|)
   (PROG (|m| |n| |damp| |atol| |btol| |itnlim| |msglvl| |error| |ifail|
              |bmatList| |start| |amatList| |equationPart| |page|)
   (declare (special |$EmptyMode| |$bcParseOnly|))
     (RETURN
       (SEQ (PROGN
-             (SPADLET |m|
+             (setq |m|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -5120,7 +4709,7 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|m|)))))
-             (SPADLET |n|
+             (setq |n|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -5128,10 +4717,10 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|n|)))))
-             (SPADLET |damp| (|htpLabelInputString| |htPage| '|damp|))
-             (SPADLET |atol| (|htpLabelInputString| |htPage| '|atol|))
-             (SPADLET |btol| (|htpLabelInputString| |htPage| '|btol|))
-             (SPADLET |itnlim|
+             (setq |damp| (|htpLabelInputString| |htPage| '|damp|))
+             (setq |atol| (|htpLabelInputString| |htPage| '|atol|))
+             (setq |btol| (|htpLabelInputString| |htPage| '|btol|))
+             (setq |itnlim|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -5140,7 +4729,7 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|itnlim|)))))
-             (SPADLET |msglvl|
+             (setq |msglvl|
                       (COND
                         (|$bcParseOnly|
                             (PARSE-INTEGER
@@ -5149,17 +4738,17 @@
                         ('T
                          (|objValUnwrap|
                              (|htpLabelSpadValue| |htPage| '|msglvl|)))))
-             (SPADLET |error| (|htpButtonValue| |htPage| '|ifail|))
-             (SPADLET |ifail|
+             (setq |error| (|htpButtonValue| |htPage| '|ifail|))
+             (setq |ifail|
                       (COND ((BOOT-EQUAL |error| '|one|) '1) ('T '-1)))
              (COND
                ((AND (BOOT-EQUAL |m| '13) (BOOT-EQUAL |n| '12))
                 (|f04qafDefaultSolve| |htPage| |damp| |atol| |btol|
                     |itnlim| |msglvl| |ifail|))
                ('T
-                (SPADLET |bmatList|
+                (setq |bmatList|
                          (PROG (G167543)
-                           (SPADLET G167543 NIL)
+                           (setq G167543 NIL)
                            (RETURN
                              (DO ((|i| 1 (QSADD1 |i|)))
                                  ((QSGREATERP |i| |m|) G167543)
@@ -5167,9 +4756,9 @@
                                      (SETQ G167543
                                       (APPEND G167543
                                        (|f04qafSolve,f| |i|)))))))))
-                (SPADLET |amatList|
+                (setq |amatList|
                          (PROG (G167551)
-                           (SPADLET G167551 NIL)
+                           (setq G167551 NIL)
                            (RETURN
                              (DO ((|ia| 1 (QSADD1 |ia|)))
                                  ((QSGREATERP |ia| |m|) G167551)
@@ -5177,31 +4766,26 @@
                                      (SETQ G167551
                                       (APPEND G167551
                                        (|f04qafSolve,h| |ia| |n|)))))))))
-                (SPADLET |start|
-                         (MAKESTRING
-                             "\\blankline \\menuitemstyle{}\\tab{2} Enter the matrix {\\it A}: "))
-                (SPADLET |amatList|
+                (setq |start|
+           "\\blankline \\menuitemstyle{}\\tab{2} Enter the matrix {\\it A}: ")
+                (setq |amatList|
                          (CONS (CONS '|text| |start|) |amatList|))
-                (SPADLET |equationPart|
+                (setq |equationPart|
                          (CONS '(|domainConditions|
                                     (|isDomain| P
                                      (|Polynomial| |$EmptyMode|))
                                     (|isDomain| F (|Float|)))
                                (APPEND |bmatList| |amatList|)))
-                (SPADLET |page|
+                (setq |page|
                          (|htInitPage|
-                             (MAKESTRING
-                                 "F04QAF - Solution of sparse unsymmetric equations, linear and damped least-squares problems using a Lanczos algorithm")
+                                 "F04QAF - Solution of sparse unsymmetric equations, linear and damped least-squares problems using a Lanczos algorithm"
                              NIL))
-                (|htSay| (MAKESTRING
-                             "\\newline \\menuitemstyle{}\\tab{2} "))
-                (|htSay| (MAKESTRING
-                             "Enter the right-hand side vector {\\it b(m)}: "))
-                (|htSay| (MAKESTRING "\\newline \\tab{2} "))
+                (|htSay| "\\newline \\menuitemstyle{}\\tab{2} ")
+                (|htSay| "Enter the right-hand side vector {\\it b(m)}: ")
+                (|htSay| "\\newline \\tab{2} ")
                 (|htMakePage| |equationPart|)
-                (|htSay| (MAKESTRING "\\blankline "))
-                (|htMakeDoneButton| (MAKESTRING "Continue")
-                    '|f04qafGen|)
+                (|htSay| "\\blankline ")
+                (|htMakeDoneButton| "Continue" '|f04qafGen|)
                 (|htpSetProperty| |page| '|m| |m|)
                 (|htpSetProperty| |page| '|n| |n|)
                 (|htpSetProperty| |page| '|damp| |damp|)
@@ -5424,17 +5008,16 @@
 ;  htpSetProperty(page,'inputArea, htpInputAreaAlist htPage)
 ;  htShowPage()
 
-(DEFUN |f04qafDefaultSolve|
+(defun |f04qafDefaultSolve|
        (|htPage| |damp| |atol| |btol| |itnlim| |msglvl| |ifail|)
   (PROG (|m| |n| |page|)
     (RETURN
       (PROGN
-        (SPADLET |m| '13)
-        (SPADLET |n| '12)
-        (SPADLET |page|
+        (setq |m| '13)
+        (setq |n| '12)
+        (setq |page|
                  (|htInitPage|
-                     (MAKESTRING
-                         "F04QAF - Solution of sparse unsymmetric equations, linear and damped least-squares problems using a Lanczos algorithm")
+                         "F04QAF - Solution of sparse unsymmetric equations, linear and damped least-squares problems using a Lanczos algorithm"
                      NIL))
         (|htMakePage|
             '((|domainConditions| (|isDomain| F (|Float|)))
@@ -5629,7 +5212,7 @@
               (|bcStrings| (6 "1.0" |a1311| F))
               (|bcStrings| (6 "1.0" |a1312| F))
               (|text| . "\\blankline ")))
-        (|htMakeDoneButton| (MAKESTRING "Continue") '|f04qafGen|)
+        (|htMakeDoneButton| "Continue" '|f04qafGen|)
         (|htpSetProperty| |page| '|m| |m|)
         (|htpSetProperty| |page| '|n| |n|)
         (|htpSetProperty| |page| '|damp| |damp|)
@@ -5680,47 +5263,47 @@
 ;  prefix := STRCONC(prefix,STRINGIMAGE ifail,",((",astring,"::Matrix MachineFloat)::ASP30(APROD)))")
 ;  linkGen prefix
 
-(DEFUN |f04qafGen| (|htPage|)
+(defun |f04qafGen| (|htPage|)
   (PROG (|m| |n| |damp| |atol| |btol| |divisor| |conlim| |itnlim|
              |msglvl| |ifail| |lrwork| |liwork| |alist| |aelm| |mata|
              |arowlist| |astring| |belm| |blist| |y| |bstring|
              |prefix|)
     (RETURN
       (SEQ (PROGN
-             (SPADLET |m| (|htpProperty| |htPage| '|m|))
-             (SPADLET |n| (|htpProperty| |htPage| '|n|))
-             (SPADLET |damp| (|htpProperty| |htPage| '|damp|))
-             (SPADLET |atol| (|htpProperty| |htPage| '|atol|))
-             (SPADLET |btol| (|htpProperty| |htPage| '|btol|))
-             (SPADLET |divisor| (READ-FROM-STRING |atol|))
+             (setq |m| (|htpProperty| |htPage| '|m|))
+             (setq |n| (|htpProperty| |htPage| '|n|))
+             (setq |damp| (|htpProperty| |htPage| '|damp|))
+             (setq |atol| (|htpProperty| |htPage| '|atol|))
+             (setq |btol| (|htpProperty| |htPage| '|btol|))
+             (setq |divisor| (READ-FROM-STRING |atol|))
              (COND
                ((> 9.9999999999999995E-8 |divisor|)
-                (SPADLET |divisor| 9.9999999999999995E-8)))
-             (SPADLET |conlim| (QUOTIENT 1.0 |divisor|))
-             (SPADLET |itnlim| (|htpProperty| |htPage| '|itnlim|))
-             (SPADLET |msglvl| (|htpProperty| |htPage| '|msglvl|))
-             (SPADLET |ifail| (|htpProperty| |htPage| '|ifail|))
-             (SPADLET |lrwork| 1)
-             (SPADLET |liwork| 1)
-             (SPADLET |alist| (|htpInputAreaAlist| |htPage|))
-             (SPADLET |y| |alist|)
+                (setq |divisor| 9.9999999999999995E-8)))
+             (setq |conlim| (QUOTIENT 1.0 |divisor|))
+             (setq |itnlim| (|htpProperty| |htPage| '|itnlim|))
+             (setq |msglvl| (|htpProperty| |htPage| '|msglvl|))
+             (setq |ifail| (|htpProperty| |htPage| '|ifail|))
+             (setq |lrwork| 1)
+             (setq |liwork| 1)
+             (setq |alist| (|htpInputAreaAlist| |htPage|))
+             (setq |y| |alist|)
              (DO ((|k| 1 (QSADD1 |k|))) ((QSGREATERP |k| |m|) NIL)
                (SEQ (EXIT (PROGN
                             (DO ((|l| 1 (QSADD1 |l|)))
                                 ((QSGREATERP |l| |n|) NIL)
                               (SEQ (EXIT
                                     (PROGN
-                                      (SPADLET |aelm|
+                                      (setq |aelm|
                                        (STRCONC (ELT (CAR |y|) 1) '| |))
-                                      (SPADLET |arowlist|
+                                      (setq |arowlist|
                                        (CONS |aelm| |arowlist|))
-                                      (SPADLET |y| (CDR |y|))))))
-                            (SPADLET |mata| (CONS |arowlist| |mata|))
-                            (SPADLET |arowlist| NIL)))))
-             (SPADLET |astring|
+                                      (setq |y| (CDR |y|))))))
+                            (setq |mata| (CONS |arowlist| |mata|))
+                            (setq |arowlist| NIL)))))
+             (setq |astring|
                       (|bcwords2liststring|
                           (PROG (G167615)
-                            (SPADLET G167615 NIL)
+                            (setq G167615 NIL)
                             (RETURN
                               (DO ((G167620 |mata| (CDR G167620))
                                    (|y| NIL))
@@ -5735,30 +5318,30 @@
                                         G167615)))))))))
              (DO ((|z| 1 (QSADD1 |z|))) ((QSGREATERP |z| |m|) NIL)
                (SEQ (EXIT (PROGN
-                            (SPADLET |belm|
+                            (setq |belm|
                                      (STRCONC (ELT (CAR |y|) 1) '| |))
-                            (SPADLET |blist| (CONS |belm| |blist|))
-                            (SPADLET |y| (CDR |y|))))))
-             (SPADLET |bstring| (|bcwords2liststring| |blist|))
-             (SPADLET |prefix|
-                      (STRCONC (MAKESTRING "f04qaf(") (STRINGIMAGE |m|)
+                            (setq |blist| (CONS |belm| |blist|))
+                            (setq |y| (CDR |y|))))))
+             (setq |bstring| (|bcwords2liststring| |blist|))
+             (setq |prefix|
+                      (STRCONC "f04qaf(" (STRINGIMAGE |m|)
                                '|,| (STRINGIMAGE |n|) '|,|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |damp|) '|,|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |atol|) '|,|
                                (STRINGIMAGE |btol|) '|,|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |conlim|) '|,|
                                (STRINGIMAGE |itnlim|) '|,|
                                (STRINGIMAGE |msglvl|) '|,|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |lrwork|) '|,|
                                (STRINGIMAGE |liwork|) '|,|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| '[ |bstring|
                                '|]::Matrix DoubleFloat,|))
-             (SPADLET |prefix|
+             (setq |prefix|
                       (STRCONC |prefix| (STRINGIMAGE |ifail|) '|,((|
                                |astring|
                                '|::Matrix MachineFloat)::ASP30(APROD)))|))
